#!/usr/bin/perl -w
#< Boilerplate
#
# The Aranea question answering system
# Copyright (C) 2002-2005, Jimmy Lin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, please visit
# http://www.gnu.org/copyleft/gpl.html
#
# $Header: /fs/clip-qa/.cvsroot//Aranea/pm/Aranea/Resources/50states.pm,v 1.3 2005/06/09 11:46:51 jimmylin Exp $
#
#>
#< Header
package Aranea::Resources::50states;

use strict;
use warnings;

our %DATA;

#>

#< BEGIN
BEGIN {
    # load the 50states data from a tab separated data file
    my $path = "pm/Aranea/Resources";
    
    open(FILE, "< $path/50states-data.txt") or die "50states datafile not found!\n";
    # read the first line, which is the field definition
    my $s = <FILE>;
    chop $s;
    my @fields = split("\t", $s);

    # read tab separated line for every state
    while ( <FILE> ) {
	chop;
	my @cells = split("\t", $_);
	my $state = $cells[0];
	#print "=>$state\n";
	for my $i ( 1 .. $#cells ) {
	    #print "##$fields[$i]: $cells[$i]\n";
	    $DATA{$state}{$fields[$i]} = $cells[$i];
	}
	#print "$_\n";
    }
    close(FILE);
}
#>

#< STDIN handler
unless ( caller() ) {
    while ( <STDIN> ) {
	chop;
	my @args = split("\t", $_);
	my @results = get(@args);
	map { print "$_\n"; } @results;
    }
}
#>

#< sub get
sub get {
    my $entity = shift;
    my $property = shift;

    my @results = ();
    if ( $property and exists $DATA{$entity}{$property} ) {
	push @results, $DATA{$entity}{$property};
    } 

    return @results;
}
#>

1;
