#!/usr/bin/perl -w
#< Boilerplate
#
# The Aranea question answering system
# Copyright (C) 2002-2005, Jimmy Lin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, please visit
# http://www.gnu.org/copyleft/gpl.html
#
# $Header: /fs/clip-qa/.cvsroot//Aranea/pm/Aranea/Resources/Acronyms.pm,v 1.3 2005/06/09 11:46:51 jimmylin Exp $
#
#>
#< Header
package Aranea::Resources::Acronyms;

use strict;
use warnings;

use vars qw(%DICT);

#>

#< BEGIN
BEGIN {
    my $path = "pm/Aranea/Resources";

    dbmopen (%DICT, "$path/Acronyms.dbm", 0666) or 
	die "can not open DBM file\n";
}
#>

#< STDIN handler
unless ( caller() ) {
    while ( <STDIN> ) {
	chop;
	my @args = split("\t", $_);
	my @results = get(@args);
	map { print "$_\n"; } @results;
    }
}
#>

#< sub get
sub get {
    my $abbrev = shift;

    if ( $abbrev and exists $DICT{$abbrev} ) {
	my $txt = $DICT{$abbrev};

	$txt =~ s/\([^)]+\)//g;
	$txt =~ s/\[[^\]]+\]//g;
        $txt =~ s/ +/ /g;
        $txt =~ s/^ +//g;
        $txt =~ s/ +$//g;
	$txt =~ s/<A[^>]+>//i;
	$txt =~ s/<\/A>//i;

	return split "\t", $txt;
    }

    return ();
}
#>

1;
