#!/usr/bin/perl -w
#< Boilerplate
#
# The Aranea question answering system
# Copyright (C) 2002-2005, Jimmy Lin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, please visit
# http://www.gnu.org/copyleft/gpl.html
#
# $Header: /fs/clip-qa/.cvsroot//Aranea/pm/Aranea/Resources/Gateway.pm,v 1.3 2005/06/09 11:46:51 jimmylin Exp $
#
#>
#< Header
package Aranea::Resources::Gateway;

use strict;
use warnings;

use Aranea::XML::Aranea;
use Aranea::XML::CandidateEntry;
use Aranea::Resources::POTUS;
use Aranea::Resources::Biography;
use Aranea::Resources::50states;

our(@ISA, @EXPORT);

@ISA = qw(Exporter);
@EXPORT = qw(db_insert);

#>

#< sub db_insert
sub db_insert {
    my ($Aranea, $resource, $args) = @_;

    my @results = ();
    {
	no strict "refs";
	@results = &{"Aranea::Resources::${resource}::get"}(@$args);
	_add($Aranea, $resource, \@results);
    }

}
#>
#< sub _add
sub _add {
    my ($Aranea, $source, $results) = @_;

    foreach my $ans ( @$results ) {
	my $entry = Aranea::XML::CandidateEntry->new($ans, 999999);
	$entry->add_support($source);
	$Aranea->candidate_list()->add_entry($entry);
    }
}
#>

1;
