#!/usr/bin/perl -w
#< Boilerplate
#
# The Aranea question answering system
# Copyright (C) 2002-2005, Jimmy Lin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, please visit
# http://www.gnu.org/copyleft/gpl.html
#
# $Header: /fs/clip-qa/.cvsroot//Aranea/pm/Aranea/Resources/POTUS.pm,v 1.3 2005/06/09 11:46:51 jimmylin Exp $
#
#>
#< Header
package Aranea::Resources::POTUS;

use strict;
use warnings;

use vars qw(%BYYEAR @BYORD);

#>

#< BEGIN
BEGIN {
    my $path = "pm/Aranea/Resources";

    open(FILE, "< $path/POTUS-pres-by-ord.txt") or
	die "POTUS datafile not found!\n";

    while ( <FILE> ) {
	chop;
	my ($ord, $pres) = split("\t", $_);
	$BYORD[$ord] = $pres;
    }
    close(FILE);

    open(FILE, "< $path/POTUS-pres-by-year.txt") or
	die "POTUS datafile not found!\n";

    while ( <FILE> ) {
	chop;
	my ($year, $pres) = split("\t", $_, 2);
	#print "=$year=$pres=\n";
	$BYYEAR{$year} = $pres;
    }
    close(FILE);
}
#>

#< STDIN handler
unless ( caller() ) {
    while ( <STDIN> ) {
	chop;
	my @args = split("\t", $_);
	my @results = get(@args);
	map { print "$_\n"; } @results;
    }
}
#>

#< sub get
sub get {
    my $arg1 = shift;
    my $arg2 = shift;

    my @results = ();

    if ( $arg1 eq 'ordinality' and $BYORD[$arg2] ne '' ) {
	push @results, $BYORD[$arg2];
    } elsif ( $arg1 eq 'year' and exists $BYYEAR{$arg2} ) {
	my $txt = $BYYEAR{$arg2};
	$txt =~ s/:(.*?)\t/, /g;
	$txt =~ s/:(.*?)$//g;
	print "##$txt\n";
	push @results, $txt;
    }

    return @results;
}
#>

1;
