#!/usr/bin/perl -w
#< Boilerplate
#
# The Aranea question answering system
# Copyright (C) 2002-2005, Jimmy Lin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, please visit
# http://www.gnu.org/copyleft/gpl.html
#
# $Header: /fs/clip-qa/.cvsroot//Aranea/pm/Aranea/Resources/Sports.pm,v 1.2 2005/06/09 11:46:51 jimmylin Exp $
#
#>
#< Header
package Aranea::Resources::Sports;

use strict;
use warnings;

use vars qw($SUPERBOWL);

#>

#< BEGIN
BEGIN {
    my $path = "pm/Aranea/Resources";

    open(FILE, "< $path/superbowls.txt") or
	die "Super Bowl datafile not found!\n";

    while ( <FILE> ) {
	chop;
	my @toks = split("\t", $_);
	push @$SUPERBOWL, [ split("\t", $_) ];
    }
    close(FILE);
}
#>

#< STDIN handler
unless ( caller() ) {
    while ( <STDIN> ) {
	chop;
	my @args = split("\t", $_);
	my @results = get(@args);
	map { print "$_\n"; } @results;
    }
}
#>

#< sub get
sub get {
    my @args = @_;

    my @results = ();

    # superbowl, winner, year,

    if ( $args[0] eq 'superbowl' and $args[1] eq 'winner' ) {
	if (  $args[2] eq 'year' ) {
	    foreach my $c ( @$SUPERBOWL ) {
		if ( $c->[0] eq $args[3] ) {
		    push @results, $c->[3];
		}
	    }
	} elsif ( $args[2] eq 'number' ) {
	    foreach my $c ( @$SUPERBOWL ) {
		if ( $c->[1] eq $args[3] ) {
		    push @results, $c->[3];
		}
	    }
	}
    }

    return @results;
}
#>

1;
