#!/usr/bin/perl -w
#< Boilerplate
#
# The Aranea question answering system
# Copyright (C) 2002-2005, Jimmy Lin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, please visit
# http://www.gnu.org/copyleft/gpl.html
#
# $Header: /fs/clip-qa/.cvsroot//Aranea/pm/Aranea/Patterns/Persons.pm,v 1.6 2005/06/08 02:51:43 jimmylin Exp $
#
#>
#< Header
package Aranea::Patterns::Persons;

use strict;
use warnings;

use Exporter;

our @ISA = qw(Exporter);
our @EXPORT = qw();
our @EXPORT_OK = qw($TITLE $FEMALE_FIRST_NAME $MALE_FIRST_NAME $BODY_PART $US_PRESIDENT $OCCUPATION);

#>

#< regexp: title
our $TITLE = qr{(?:(?:Vice|Assistant|Deputy|Associate)\s+)?(?:1LT|1SG|2LT|A1C|ADM|AMN|Abbot|Adm\.?|Admin\.?|Administrator|Admiral|Airman|Airman\s+Basic|Airman\s+First\s+Class|Alderman|Alderperson|Alderwoman|Amb\.?|Ambassador|Amn\.?|Archbishop|Archdcn\.?|Archdeacon|Assemblyman|Assemblyperson|Assemblywoman|Attorney|Attorney-General|Attorney\s+General|BGen\.?|Baron|Baroness|Baronet|Bishop|Brig\.?|Brig\.?\s+Gen\.?|Brig\.?\s+General|Brigadier|Brigadier\s+General|Brother|CAPT|CDR|CDT|COL|Cadet|Canon|Cantor|Capt\.?|Captain|Cardinal|Cdr\.?|Cdt\.?|Chair|Chairman|Chairperson|Chairwoman|Chancellor|Chaplain|Chief|Chief\s+Judge|Chief\s+Justice|Chief\s+Master\s+Sergeant|Chief\s+Petty\s+Officer|Chief\s+Warrant\s+Officer|Chief\s+of\s+Staff|Clergyman|Clerk|Cmdr\.?|Col\.?|Colonel|Commander|Commander\s+in\s+Chief|Commissioner|Commodore|Congressman|Congressperson|Congresswoman|Consul|Corporal|Councillor|Councilman|Councilor|Councilperson|Councilwoman|Counsellor|Counselor|Count|Countess|Cpl\.?|Crown\s+Prince|Crown\s+Princess|Czar|Czarina|Dame|Dea\.?|Deacon|Deaconess|Dean|Delegate|Dir\.?|Director|District\s+Attorney|Doctor|Dr\.?|Duchess|Duke|Earl|Elder|Emperor|Empress|Ensign|Esquire|Father|First\s+Lieut\.?|First\s+Lieutient|First\s+Lt\.?|First\s+Officer|First\s+Sergeant|Fleet\s+Admiral|Flight\s+Officer|Foreign\s+Minister|Frau|Fraulein|GEN|Gen\.?|General|Gov\.?|Governor|Her\s+Highness|Her\s+Majesty|Herr|His\s+Highness|His\s+Holiness|His\s+Hon\.?|His\s+Honor|His\s+Honour|His\s+Majesty|His\s+Worship|Hon\.?|Honorable|Honourable|Judge|Justice|Justice\s+of\s+the\s+Peace|King|Knight|LCdr\.?|LCol\.?|LGen\.?|LT|LTC|LTG|Lady|Lance\s+Corporal|Lieut\.?|Lieut\.?\s+Cdr\.?|Lieut\.?\s+Col\.?|Lieut\.?\s+Gen\.?|Lieutenant|Lieutenant\s+Colonel|Lieutenant\s+Commander|Lieutenant\s+General|Lieutenant\s+Governor|Lieutenant\s+Junior\s+Grade|Lord|Lord\s+Bishop|Lt\.?|Lt\.?\s+Cdr\.?|Lt\.?\s+Col\.?|Lt\.?\s+Gen\.?|Lt\.?\s+Gov\.?|MAJ|MSgt\.?|M\.?|Madame|Mademoiselle|Maj\.?|Maj\.?\s+Gen\.?|Maj\.?\s+General|Major|Major\s+General|Marchioness|Marquess|Marquis|Marshal|Master|Master\s+Chief\s+Petty\s+Officer|Master\s+Sergeant|Master\s+Sgt\.?|Matriarch|Mayor|Minister|Miss|Mister|Mlle\.?|Mme\.?|Monsieur|Monsignor|Mother\s+Superior|Mr\.?|Mrs\.?|Ms\.?|Msgr\.?|Pastor|Patriarch|Petty\s+Officer\s+First\s+Class|Petty\s+Officer\s+Second\s+Class|Petty\s+Officer\s+Third\s+Class|Pharaoh|Pope|Postmaster|Postmaster\s+General|Premier|Pres\.?|President|Prime\s+Minister|Prince|Princess|Private|Private\s+First\s+Class|Prof\.?|Professor|Professor\s+Emerita|Professor\s+Emeritus|Provost|Pvt\.?|Queen|RADM|RAdm\.?|R\.?\s+Adm\.?|Rabbi|Rct\.?|Rear\s+Admiral|Recruit|Rep\.?|Representative|Rev\.?|Reverend|Reverend\s+Father|SSgt\.?|Saint|Seaman|Sec\.?|Second\s+Lieut\.?|Second\s+Lieutenant|Second\s+Lt\.?|Secretary|Secretary-General|Secretary\s+General|Secretary\s+of\s+State|Selectman|Selectperson|Selectwoman|Sen\.?|Senator|Senior\s+Airman|Senior\s+Chief\s+Petty\s+Officer|Senior\s+Master\s+Sergeant|Senor|Senora|Senorita|Sergeant|Sergeant\s+First\s+Class|Sergeant\s+Major|SgtMaj\.?|Sgt\.?|Sheikh|Sheriff|Sig\.?|Signor|Signora|Signore|Signorina|Sir|Sister|Speaker|Specialist|Sqn\.?\s+Ldr\.?|Squadron\s+Leader|Sr\.?|Sra\.?|Srta\.?|St\.?|Staff\s+Sergeant|Staff\s+Sgt\.?|Ste\.?|Sultan|TSgt\.?|Technical\s+Sergeant|Technical\s+Sgt\.?|The\s+Hon\.?|The\s+Honorable|The\s+Honourable|The\s+Most\s+Honorable|The\s+Most\s+Reverend|The\s+Rev\.?|The\s+Reverend|The\s+Right\s+Honorable|The\s+Right\s+Reverend|The\s+Venerable|Treas\.?|Treasurer|Undersecretary|Vicar|Viscompte|Viscount|Viscountess|WO|Warrant\s+Officer)}o;
#>
#< regexp: female first name
our $FEMALE_FIRST_NAME = qr{(?:Abby|Abigail|Ada|Adelaide|Adele|Adriana|Adrienne|Agatha|Agnes|Aida|Aileen|Alanna|Alberta|Alexandra|Alexis|Alice|Alicia|Alisa|Alisha|Alison|Allegra|Allison|Alma|Althea|Alyssa|Amanda|Amelia|Amy|Ana|Anabel|Anastasia|Andrea|Andromache|Andromeda|Angela|Angelica|Angie|Anita|Ann|Anna|Annabelle|Anne|Annette|Annie|Annika|Antigone|Antoinette|Antonia|Aphrodite|Arachne|Aretha|Ariadne|Ariana|Arlene|Artemis|Ashley|Astarte|Atalanta|Athena|Audrey|Bailey|Barbara|Bathsheba|Battista|Beatrice|Beatrix|Becky|Bella|Belinda|Bernadette|Bernice|Bertha|Bess|Bessie|Beth|Bethany|Betsy|Bettina|Betty|Beverly|Bianca|Blanche|Blythe|Bonnie|Brandi|Brenda|Bridget|Brittney|Brooke|Caitlin|Calista|Camille|Candace|Candice|Candy|Cara|Carissa|Carla|Carlotta|Carmen|Carole|Caroline|Carolyn|Carrie|Casey|Cassandra|Catherine|Cathleen|Cathy|Cecilia|Celeste|Celia|Celina|Chantal|Charlene|Chelsea|Chloe|Christie|Christina|Christine|Christy|Cinderella|Cindy|Claire|Clara|Claudette|Claudia|Cleo|Clytemnestra|Cody|Colleen|Connie|Cora|Corinne|Cornelia|Constance|Courtney|Cynthia|Daisy|Dana|Danielle|Daphne|Daria|Darlene|Davida|Deanna|Debbie|Debby|Deborah|Debra|Deirdre|Delia|Della|Demeter|Denise|Desdemona|Desiree|Diana|Diane|Dianne|Dina|Dinah|Dominique|Donna|Dora|Doreen|Doris|Dorothy|Edith|Edna|Edwina|Eileen|Elaine|Eleanor|Electra|Elektra|Elena|Elisabeth|Eliza|Elizabeth|Ella|Ellen|Ellison|Eloise|Elsa|Elsie|Elvira|Emily|Emma|Erica|Erika|Erin|Esmeralda|Esther|Estella|Estelle|Ethel|Eudora|Eugenia|Eunice|Eurydice|Eva|Evelyn|Eve|Fannie|Fanny|Farrah|Fatima|Faye|Fedora|Felice|Felicia|Fran|Francesca|Francine|Francis|Frida|Frederica|Gabi|Gabriella|Gabrielle|Gail|Galatea|Gayle|Gemma|Genevieve|Georgette|Geraldine|Gertrude|Gilda|Gina|Gladys|Glenda|Gloria|Grace|Greta|Gretchen|Griselda|Gwen|Gwendoline|Gwendolyn|Hanna|Hannah|Harriet|Heather|Hebe|Hecate|Hecuba|Heidi|Helen|Helena|Helene|Helga|Henrietta|Hera|Hestia|Hilda|Hillary|Hypatia|Ida|Ilana|Ilse|Imelda|Imogene|Indira|Ines|Inez|Ingrid|Irene|Iris|Irma|Isabel|Isabella|Isabelle|Isadora|Isadore|Jackie|Jacqueline|Jamie|Jan|Jane|Janet|Janice|Jasmine|Jeanne|Jean|Jeannie|Jemima|Jenna|Jennie|Jennifer|Jenny|Jess|Jessica|Jessie|Jill|Jillian|Joan|Joann|Joanna|Joanne|Jocelyn|Jodi|Jodie|Johanna|Josephine|Joy|Joyce|Juana|Juanita|Judith|Judy|Julia|Juliana|Julie|Juliet|Juliette|Kara|Karen|Karla|Kate|Katharina|Katherine|Kathleen|Kathryn|Kathy|Katie|Kay|Kelley|Kerry|Kim|Kimberly|Kirsten|Kristi|Kristin|Kristina|Kristine|Lara|Larissa|Latoya|Laura|Laurel|Lauren|Laverne|Leah|Lee|Leila|Lena|Lenora|Lenore|Leona|Leonora|Leslie|Leticia|Libby|Lilah|Lilian|Lillian|Lillie|Lilly|Lily|Lindsay|Lindsey|Linda|Linette|Lisa|Lisabet|Liz|Liza|Lizzie|Lois|Lola|Lolita|Lorna|Lora|Lorelei|Loretta|Lori|Lorraine|Lottie|Louise|Luba|Lucia|Lucille|Lucinda|Lucy|Lydia|Lynda|Lynette|Lynn|Lynne|Mabel|Mable|Madeleine|Madeline|Madge|Mae|Magda|Magdalena|Magdalene|Maggie|Mahalia|Maia|Marcella|Marcia|Margaret|Margarita|Margie|Margo|Margot|Marguerite|Maria|Marian|Marie|Marianne|Marie|Marilyn|Marina|Marion|Marissa|Marjorie|Marla|Marlene|Marsha|Marissa|Marta|Martha|Martina|Marty|Mary|Matilda|Maureen|Maxine|Maya|Meagan|Meg|Megan|Meghan|Melanie|Melinda|Melissa|Meredith|Michele|Michelle|Mildred|Millicent|Mimi|Minerva|Minnie|Mira|Mirabelle|Miriam|Moira|Molly|Mona|Monica|Morgan|Muk|Muriel|Myra|Myrna|Myrtle|Nadia|Nadine|Nancy|Naomi|Natasha|Natalia|Natalie|Natalya|Nellie|Nicole|Nicolette|Nikki|Nina|Nora|Norma|Odelia|Odette|Olga|Olivia|Olyvia|Ophelia|Oprah|Pam|Pamela|Pandora|Patricia|Patsy|Patty|Paula|Paulette|Pauline|Pearl|Peggy|Penelope|Philomena|Phoebe|Phyllis|Polly|Portia|Priscilla|Rachel|Ramona|Raphaela|Raquel|Reba|Rebecca|Regina|Rena|Renata|Renee|Rhea|Rhoda|Roberta|Robin|Robyn|Ronnie|Rosa|Rosalia|Rosalie|Rosalind|Rosanne|Rose|Rosemary|Rosie|Roxanne|Ruth|Sabina|Sabine|Sabrina|Sadie|Salome|Salina|Sallie|Sally|Samantha|Sandra|Sandy|Sappho|Sara|Sarah|Seraphine|Serena|Shannon|Sharon|Sheila|Shelley|Shelly|Sherry|Sheryl|Shirley|Simone|Sophia|Sophie|Sonia|Sonya|Stacy|Stephanie|Stella|Sue|Susan|Susanne|Susie|Sybil|Sylvia|Tabitha|Talia|Tamara|Tamika|Tammy|Tania|Tanya|Tara|Teresa|Thalia|Theodora|Tina|Tracey|Tracy|Tricia|Trisha|Terri|Terry|Tiffany|Tina|Tonya|Tori|Tracy|Ursula|Valentina|Valerie|Vanessa|Velma|Vera|Veronica|Vickie|Vicky|Victoria|Vida|Virginia|Vivian|Wanda|Wendy|Whitney|Wilma|Winnie|Winona|Yaffa|Yasmine|Yoko|Yoky|Yolanda|Yvette|Yvonne|Zara|Zelda|Zoe)}o;
#>
#< regexp: male first name
our $MALE_FIRST_NAME = qr{(?:Aaron|Abe|Abel|Abraham|Abram|Achilles|Adam|Adlai|Adolph|Adonis|Adrian|Aeneas|Aeschylus|Aeson|Agamemnon|Ajax|Akiva|Alan|Albert|Alberto|Albrecht|Alec|Alex|Alexander|Alexandr|Alexei|Alfonso|Alfred|Alfredo|Alger|Ali|Allan|Allen|Alton|Alvin|Amos|Anatole|Andreas|Andrei|Andrew|Andrey|Andy|Anthony|Anton|Antonio|Antony|Anwar|Apollo|Archer|Archibald|Archie|Archimedes|Ares|Ari|Aries|Aristide|Aristotle|Armen|Arno|Arnold|Arthur|Asclepius|Barney|Barry|Bart|Baruch|Basil|Ben|Benedict|Benjamin|Benny|Bernard|Bernardo|Bernie|Bert|Berthold|Bertram|Bertrand|Bill|Billy|Bob|Bobby|Brad|Bradley|Brendan|Brent|Brian|Broderick|Bruce|Bruno|Brutus|Caesar|Carl|Carlo|Carlos|Casper|Cassio|Cassius|Castro|Chad|Charles|Chris|Christ|Christopher|Christian|Clark|Claude|Claudius|Claus|Cole|Colin|Conrad|Craig|Curt|Curtis|Cyrano|Cyril|Cyrus|Czeslaw|Daedalus|Damian|Damon|Dan|Daniel|Danny|Dario|Dave|David|Deniz|Dennis|Denny|Derek|Derrick|Desmond|Devon|Dick|Dillan|Dionysus|Dmitri|Domenico|Dominick|Don|Donald|Dorian|Doug|Douglas|Duane|Dudley|Duncan|Dustin|Dwayne|Dwight|Dylan|Earl|Eaton|Ed|Eddie|Edgar|Edison|Edmund|Eduardo|Edward|Edwin|Eli|Elijah|Elliot|Elliott|Elton|Elvis|Emanuel|Emil|Emilio|Emmanuel|Emmett|Enrico|Ephraim|Erasmus|Eric|Erik|Ernest|Ernie|Errol|Erwin|Ethan|Euclid|Eugene|Euripides|Evan|Everett|Ezekiel|Ezra|Fabian|Falstaff|Faust|Faustus|Federico|Felix|Ferdinand|Fergus|Fernando|Fidel|Floyd|Frank|Franklin|Franz|Fred|Freddy|Frederick|Fritz|Gabriel|Garrett|Garrison|Garry|Garth|Gary|Gavin|Gene|Geoff|Geoffrey|George|Gerald|Geraldo|Gerard|Gerry|Gideon|Gil|Gill|Glen|Glenn|Godfrey|Goliath|Gordon|Graeme|Graham|Greg|Gregg|Gregory|Gustav|Gustave|Hades|Hal|Hamlet|Hank|Hans|Harold|Harrison|Harry|Harvey|Hasan|Hayward|Hector|Helmut|Hendrick|Henri|Henrik|Henry|Herbert|Hercules|Herman|Hermann|Hermes|Hilbert|Homer|Horace|Howard|Howie|Hubert|Hugh|Humphrey|Hussein|Hyman|Iago|Ian|Ibrahim|Icarus|Igor|Ike|Ingmar|Ira|Irving|Irwin|Isaac|Isaiah|Ishmael|Israel|Istvan|Itzak|Ivan|Ivo|Jack|Jacob|Jaime|Jake|James|Janos|Jarvis|Jared|Jason|Jasper|Jastin|Jay|Jed|Jeff|Jeffrey|Jeremiah|Jeremy|Jerome|Jerry|Jerzy|Jesus|Jim|Jimmy|Joe|Joel|Johanan|John|Johnny|Jon|Jonathan|Jose|Josef|Joseph|Josh|Joshua|Juan|Judas|Julian|Julio|Julius|Justin|Kalman|Karl|Kaspar|Kay|Keith|Ken|Kendrick|Kenneth|Kenny|Kent|Kevin|Kirk|Klaus|Konrad|Kurt|Kyle|Laertes|Lamar|Lance|Larry|Lars|Laszlo|Lawrence|Lazar|Lazarus|Leif|Leland|Len|Lenny|Leo|Leon|Leonard|Leonardo|Leonid|Leopold|Leroy|Lester|Lev|Lew|Liam|Lionel|Linus|Lloyd|Lorenzo|Lorne|Lou|Louis|Lucas|Lucentio|Lucian|Lucifer|Ludwig|Luigi|Luis|Luke|Lyle|Lyndon|Macbeth|Macduff|Mahmud|Malcolm|Manuel|Marc|Marcel|Marcelo|Marco|Marcus|Mario|Mark|Marlon|Marshall|Martin|Marty|Marv|Marvin|Mateo|Matt|Matthew|Matthias|Maurice|Mauricio|Max|Maxim|Maximilian|Mel|Melvin|Menachem|Menelaus|Mervin|Michael|Michel|Michelangelo|Miguel|Mike|Mikhail|Miroslav|Misha|Mitch|Mitchell|Mordecai|Morris|Mort|Mortimer|Moses|Moshe|Murray|Myron|Napoleon|Nat|Nate|Nathan|Nathaniel|Neal|Ned|Neil|Nestor|Nicholas|Nick|Niels|Nigel|Nikolai|Nils|Nixon|Noah|Noam|Norm|Norman|Norton|Octavio|Odysseus|Olaf|Olin|Oliver|Omar|Orpheus|Orson|Orwell|Oscar|Othello|Otto|Ovid|Owen|Pablo|Paolo|Pat|Patrick|Patroclus|Paul|Pavel|Pedro|Perseus|Percy|Pete|Peter|Petruchio|Phil|Philip|Phillip|Pierre|Piotr|Plato|Poseidon|Priam|Pyotr|Quentin|Quincy|Rafael|Ralph|Ramon|Randall|Randolph|Randy|Raoul|Raphael|Ray|Raymond|Reagan|Reed|Reginald|Reid|Rene|Reuben|Reuven|Rex|Rhett|Rich|Richard|Rick|Ridley|Roald|Rob|Robert|Roberto|Rod|Roderick|Rodney|Roger|Roland|Romeo|Romulus|Ron|Ronald|Roy|Rudolf|Rudolph|Rudyard|Rupert|Ryan|Sajit|Sam|Samson|Sammy|Samson|Samuel|Santa|Satan|Saul|Scott|Sean|Sebastian|Serge|Sergei|Serkan|Seth|Seymour|Shamus|Shawn|Sheldon|Sherlock|Shimon|Shmuel|Sidney|Sigmund|Silvester|Simon|Simson|Socrates|Sol|Solomon|Spencer|Stan|Stanley|Stefan|Stephen|Steve|Steven|Stewart|Stu|Stuart|Sylvester|Tacitus|Talbot|Tarzan|Ted|Teddy|Terrence|Terry|Theodore|Theseus|Thomas|Thorpe|Tim|Timothy|Titus|Tobias|Toby|Todd|Tom|Tomaso|Tommy|Tony|Travis|Trevor|Tyler|Uri|Vaclav|Valdemar|Val|Valentin|Valery|Verner|Vernon|Vicente|Victor|Vijay|Vincent|Virgil|Vitas|Vitia|Vladimir|Vonnegut|Waldo|Wallace|Walt|Walter|Ward|Warren|Wayne|Wendel|Wes|Wesley|Wilhelm|William|Willie|Wolff|Wolfgang|Wolfram|Yakov|Yitzhak|Yuri|Yves|Zachariah|Zachary|Zale|Zalman|Zeus)}o;
#>
#< regexp: body part
our $BODY_PART = qr{(?:ANS|Achilles\s+tendon|Adam's\s+apple|Bartholin's\s+gland|Bowman's\s+capsule|Broca's\s+area|Broca's\s+center|Broca's\s+convolution|Broca's\s+gyrus|Brodmann's\s+area|CNS|Cowper's\s+gland|Eustachian\s+tube|Fallopian\s+tube|GI\s+tract|Golgi\s+apparatus|Golgi\s+body|Golgi\s+complex|Graafian\s+follicle|Haversian\s+canal|Luschka's\s+tonsil|MPS|Meibomian\s+gland|Montgomery's\s+tubercle|OD|OS|Peter's\s+gland|Peyer's\s+patch|Purkinje's\s+system|Purkinje's\s+tissue|Purkinje\s+fiber|Purkinje\s+network|RES|Rolando's\s+area|Rolando's\s+fissure|Roman\s+nose|SA\s+node|Schlemm's\s+canal|Sylvian\s+aqueduct|Sylvian\s+fissure|Wernicke's\s+area|Wernicke's\s+center|Wormian\s+bone|abdomen|abdominal\s+aorta|abdominal\s+cavity|abdominal\s+nerve\s+plexus|abducens|abducens\s+muscle|abducens\s+nerve|abducent|abducent\s+nerve|abductor|abductor\s+muscle|abomasum|acanthion|accessory\s+cephalic\s+vein|accessory\s+hemiazygos\s+vein|accessory\s+hemiazygous\s+vein|accessory\s+nerve|accessory\s+vertebral\s+vein|accompanying\s+vein|acetabulum|acinus|acoustic\s+meatus|acoustic\s+nerve|acromion|acrosome|aculea|aculeus|acumen|adductor|adductor\s+muscle|adenohypophysis|adenoid|adipose\s+tissue|adnexa|adrenal|adrenal\s+cortex|adrenal\s+gland|adrenal\s+medulla|adult\s+tooth|adventitia|afterbirth|agnail|agonist|air\s+bladder|air\s+cell|air\s+sac|ala|albuginea|alimentary\s+canal|alimentary\s+tract|allantois|allograft|alpha-adrenergic\s+receptor|alpha-adrenoceptor|alpha\s+receptor|alveolar\s+arch|alveolar\s+artery|alveolar\s+bed|alveolar\s+point|alveolar\s+process|alveolar\s+ridge|alveolus|ambulacrum|amnion|amnios|amniotic\s+cavity|amniotic\s+sac|ampulla|amygdala|amygdaloid\s+nucleus|anal\s+sphincter|anastomotic\s+vein|anatomical\s+sphincter|anatomical\s+structure|anconeous\s+muscle|angular\s+artery|angular\s+vein|animal\s+foot|animal\s+leg|animal\s+tissue|ankle|ankle\s+joint|anklebone|anlage|annexa|annualry|antagonist|antagonistic\s+muscle|antenna|anterior|anterior\s+cardinal\s+vein|anterior\s+cerebral\s+artery|anterior\s+cerebral\s+vein|anterior\s+crural\s+nerve|anterior\s+facial\s+vein|anterior\s+fontanelle|anterior\s+jugular\s+vein|anterior\s+labial\s+veins|anterior\s+meningeal\s+artery|anterior\s+naris|anterior\s+pituitary|anterior\s+pituitary\s+gland|anterior\s+serratus\s+muscle|anterior\s+temporal\s+artery|anterior\s+vertebral\s+vein|antler|antrum|anus|anvil|aorta|aortic\s+arch|aortic\s+orifice|aortic\s+plexus|aortic\s+valve|apocrine\s+gland|apodeme|aponeurosis|apophysis|apparatus|apparatus\s+urogenitalis|appendage|appendicular\s+artery|appendicular\s+skeleton|appendicular\s+vein|appendix|aqueductus\s+cerebri|arachnoid|arachnoid\s+membrane|arch|archenteron|archipallium|arcuate\s+artery|arcuate\s+artery\s+of\s+the\s+kidney|arcuate\s+vein\s+of\s+the\s+kidney|arcus|arcus\s+senilis|arcus\s+zygomaticus|area|area\s+of\s+cardiac\s+dullness|areola|areolar\s+tissue|areteria\s+cervicalis|arista|arm|arm\s+bone|armpit|arse|arsehole|arteria|arteria\s+alveolaris|arteria\s+alveolaris\s+inferior|arteria\s+alveolaris\s+superior|arteria\s+angularis|arteria\s+appendicularis|arteria\s+arcuata|arteria\s+ascendens|arteria\s+auricularis|arteria\s+axillaris|arteria\s+basilaris|arteria\s+brachialis|arteria\s+buccalis|arteria\s+bulbi\s+penis|arteria\s+bulbi\s+vestibuli|arteria\s+carotis|arteria\s+celiaca|arteria\s+centralis\s+retinae|arteria\s+cerebelli|arteria\s+cerebri|arteria\s+choroidea|arteria\s+ciliaris|arteria\s+circumflexa\s+femoris|arteria\s+circumflexa\s+humeri|arteria\s+circumflexa\s+ilium|arteria\s+circumflexa\s+scapulae|arteria\s+colica|arteria\s+communicans|arteria\s+coronaria|arteria\s+cystica|arteria\s+digitalis|arteria\s+epigastrica|arteria\s+ethmoidalis|arteria\s+facialis|arteria\s+femoralis|arteria\s+gastrica|arteria\s+gastrica\s+breves|arteria\s+gastrica\s+sinistra|arteria\s+glutes|arteria\s+hepatica|arteria\s+ileocolica|arteria\s+ileum|arteria\s+iliaca|arteria\s+iliolumbalis|arteria\s+infraorbitalis|arteria\s+intercostalis|arteria\s+labialis|arteria\s+labialis\s+inferior|arteria\s+labialis\s+superior|arteria\s+lacrimalis|arteria\s+laryngea|arteria\s+lienalis|arteria\s+lingualis|arteria\s+lumbalis|arteria\s+maxillaris|arteria\s+meningea|arteria\s+mesenterica|arteria\s+metacarpea|arteria\s+metatarsea|arteria\s+musculophrenica|arteria\s+nutricia|arteria\s+ophthalmica|arteria\s+ovarica|arteria\s+palatina|arteria\s+pancreatica|arteria\s+perinealis|arteria\s+poplitea|arteria\s+pudenda|arteria\s+pulmonalis|arteria\s+radialis|arteria\s+rectalis|arteria\s+renalis|arteria\s+subclavia|arteria\s+temporalis\s+anterior|arteria\s+temporalis\s+intermedia|arteria\s+temporalis\s+posterior|arteria\s+testicularis|arteria\s+ulnaris|arteria\s+uterina|arteria\s+vaginalis|arteria\s+vertebralis|arteriola|arteriole|artery|artery\s+of\s+the\s+labyrinth|artery\s+of\s+the\s+penis\s+bulb|artery\s+of\s+the\s+vestibule\s+bulb|arthromere|articular\s+muscle|articulatio|articulatio\s+coxae|articulatio\s+cubiti|articulatio\s+genus|articulatio\s+humeri|articulatio\s+plana|articulatio\s+radiocarpea|articulatio\s+spheroidea|articulatio\s+synovialis|articulatio\s+talocruralis|articulatio\s+temporomandibularis|articulatio\s+trochoidea|articulation|articulator|articulatory\s+system|arytaenoid|arytenoid|arytenoid\s+cartilage|ascending\s+aorta|ascending\s+artery|ascending\s+colon|ass|asshole|association\s+area|association\s+cortex|aster|asterion|astragal|astragalus|astroglia|ateria\s+gastrica\s+dextra|atheroma|athlete's\s+heart|atlas|atlas\s+vertebra|atrial\s+artery|atrial\s+auricle|atrioventricular\s+bundle|atrioventricular\s+node|atrioventricular\s+trunk|atrioventricular\s+valve|atrium|atrium\s+cordis|atrium\s+dextrum|atrium\s+of\s+the\s+heart|atrium\s+sinistrum|attic|auditory\s+apparatus|auditory\s+area|auditory\s+canal|auditory\s+center|auditory\s+cortex|auditory\s+meatus|auditory\s+nerve|auditory\s+ossicle|auditory\s+system|auditory\s+tube|auricle|auricula|auricula\s+atrii|auricular\s+appendage|auricular\s+appendix|auricular\s+artery|auricular\s+point|auricular\s+vein|auriculare|autograft|autonomic\s+ganglion|autonomic\s+nervous\s+system|autonomic\s+plexus|awn|axial\s+muscle|axial\s+skeleton|axilla|axillary\s+artery|axillary\s+cavity|axillary\s+fossa|axillary\s+node|axillary\s+vein|axis|axis\s+vertebra|axolemma|azygos\s+vein|azygous\s+vein|baby\s+tooth|back|back\s+tooth|backbone|backside|bag|balancer|ball|ball-and-socket\s+joint|ballock|barbel|baroreceptor|basal\s+ganglion|basal\s+vein|basilar\s+artery|basilar\s+membrane|basilic\s+vein|basivertebral\s+vein|bast|bay\s+window|beak|bean|bear\s+claw|beard|behind|belly|beta-adrenergic\s+receptor|beta-adrenoceptor|beta\s+receptor|betweenbrain|biauriculate\s+heart|biceps|biceps\s+brachii|biceps\s+humeri|bicuspid|bicuspid\s+valve|big\s+toe|bile\s+duct|biliary\s+ductule|bill|bird's\s+foot|birth\s+canal|bladder|bladder\s+sphincter|blade|blastocele|blastocoel|blastocoele|blastoderm|blastodisc|blastopore|bleb|blind\s+gut|blister|blood\s+blister|blood\s+vessel|blowhole|bob|bobtail|bodily\s+cavity|bodily\s+structure|body|body\s+part|body\s+structure|bollock|bonce|bone|bone\s+marrow|bonelet|bony\s+labyrinth|boob|book\s+lung|bosom|bottom|bowel|bowleg|brachial\s+artery|brachial\s+plexus|brachial\s+vein|brachiocephalic\s+vein|brain|brain\s+stem|braincase|brainpan|brainstem|branchia|branchial\s+arch|branchial\s+cleft|breadbasket|breast|breastbone|bregma|bridge|bristle|bronchial\s+artery|bronchial\s+tube|bronchial\s+vein|bronchiole|bronchus|brow|bubo|buccal\s+artery|buccal\s+cavity|buccinator\s+muscle|bucktooth|buff|bulb|bulbourethral\s+gland|bull\s+neck|bulla|bullethead|bum|bundle\s+of\s+His|buns|burl|bursa|bursa\s+omentalis|butt|buttock|buttocks|button|bypass|caecum|calamus|calcaneus|calf|calf\s+bone|caliculus|callus|calvaria|calycle|calyculus|cambium|can|canal|canal\s+of\s+Schlemm|canaliculus|canalis\s+cervicis\s+uteri|canalis\s+inguinalis|canalis\s+vertebralis|canine|canine\s+tooth|cannon|cannon\s+bone|capillary|capillary\s+artery|capillary\s+bed|capillary\s+vein|capitate|capitate\s+bone|capsula\s+glomeruli|capsule|caput|carapace|cardia|cardiac\s+muscle|cardiac\s+pacemaker|cardiac\s+plexus|cardiac\s+sphincter|cardiac\s+valve|cardinal\s+vein|cardiovascular\s+system|carina|carina\s+fornicis|carnassial\s+tooth|carotid\s+artery|carotid\s+body|carotid\s+plexus|carpal|carpal\s+bone|carpus|cartilage|cartilage\s+bone|cartilaginous\s+structure|cartilaginous\s+tube|caruncle|caruncula|cauda|caudal\s+appendage|caudal\s+fin|caudal\s+vertebra|caudate\s+nucleus|caul|cauliflower\s+ear|cavernous\s+sinus|cavity|cavum|cecal\s+appendage|cecum|celiac\s+artery|celiac\s+trunk|cell\s+membrane|cell\s+nucleus|cell\s+organ|cell\s+wall|cellulite|celom|celoma|center|central\s+artery\s+of\s+the\s+retina|central\s+gyrus|central\s+nervous\s+system|central\s+sulcus|central\s+vein\s+of\s+retina|central\s+vein\s+of\s+suprarenal\s+gland|central\s+veins\s+of\s+liver|centre|centriole|centromere|centrum|cephalic\s+vein|ceras|cerebellar\s+artery|cerebellar\s+vein|cerebellum|cerebral\s+aqueduct|cerebral\s+artery|cerebral\s+cortex|cerebral\s+hemisphere|cerebral\s+mantle|cerebral\s+vein|cerebrum|cervical\s+artery|cervical\s+canal|cervical\s+glands|cervical\s+glands\s+of\s+the\s+uterus|cervical\s+nerve|cervical\s+plexus|cervical\s+vein|cervical\s+vertebra|cervix|cervix\s+uteri|chaeta|chalaza|chamber|channel|cheek|cheek\s+muscle|cheek\s+pouch|cheekbone|chela|chelicera|chemoreceptor|chest|chest\s+cavity|chiasm|chiasma|chiasma\s+opticum|chin|chine|chondriosome|chopper|chordamesoderm|chordomesoderm|chorioallantoic\s+membrane|chorioallantois|chorion|chorionic\s+villus|choroid|choroid\s+coat|choroid\s+plexus|choroid\s+vein|choroidal\s+artery|ciliary\s+artery|ciliary\s+body|ciliary\s+veins|cilium|cingulate\s+gyrus|cingulum|circle\s+of\s+Willis|circulatory\s+system|circumflex\s+artery|circumflex\s+artery\s+of\s+the\s+thigh|circumflex\s+femoral\s+vein|circumflex\s+humeral\s+artery|circumflex\s+iliac\s+artery|circumflex\s+iliac\s+vein|circumflex\s+scapular\s+artery|circumflex\s+vein|cirrus|cistern|cisterna|clapper|claustrum|clavicle|claw|cleavage|cleavage\s+cavity|clenched\s+fist|clit|clitoral\s+vein|clitoris|cloven\s+foot|cloven\s+hoof|coccygeal\s+nerve|coccygeal\s+plexus|coccygeal\s+vertebra|coccyx|cochlea|cock|cockscomb|coelenteron|coeliac\s+plexus|coelom|colic\s+artery|colic\s+vein|collarbone|colon|coma|comb|common\s+bile\s+duct|common\s+cardinal\s+vein|common\s+carotid|common\s+carotid\s+artery|common\s+facial\s+vein|common\s+iliac\s+artery|common\s+iliac\s+vein|communicating\s+artery|complex\s+body\s+part|compound\s+eye|concha|condylar\s+process|condyle|condylion|condyloid\s+process|conjunctiva|conjunctival\s+veins|conk|connective\s+tissue|conodont|contractile\s+organ|contractor|convolution|convolution\s+of\s+Broca|cornea|cornu|corona|coronal\s+suture|coronary\s+artery|coronary\s+sinus|coronet|coronion|coronoid\s+process|coronoid\s+process\s+of\s+the\s+mandible|corporation|corpus\s+amygdaloideum|corpus\s+callosum|corpus\s+geniculatum\s+laterale|corpus\s+geniculatum\s+mediale|corpus\s+luteum|corpus\s+mamillare|corpus\s+sternum|cortex|cortical\s+area|cortical\s+region|corticospinal\s+tract|costa|costal\s+cartilage|costal\s+groove|costoaxillary\s+vein|cotyloid\s+cavity|cotyloid\s+joint|countenance|cowl\s+muscle|coxa|coxcomb|cranial\s+cavity|cranial\s+nerve|cranial\s+orbit|craniometric\s+point|cranium|craw|crazy\s+bone|crest|crop|crotaphion|crotch|croup|croupe|crus|crystalline\s+lens|ctene|ctenidium|cubital\s+joint|cubital\s+nerve|cubitus|cuboid\s+bone|cuneiform\s+bone|cunt|cupule|cusp|cuspid|cutaneous\s+vein|cuticle|cuticula|cutis|cyst|cystic\s+artery|cystic\s+vein|cytostome|dacryocyst|dacryon|dactyl|decidua|deciduous\s+tooth|decussation|deep\s+cervical\s+vein|deep\s+middle\s+cerebral\s+vein|deep\s+temporal\s+vein|deltoid|deltoid\s+eminence|deltoid\s+muscle|deltoid\s+tuberosity|denticle|dentin|dentine|depressor|depressor\s+muscle|depressor\s+nerve|derriere|descending\s+aorta|descending\s+colon|dewlap|diaphragm|diaphysis|dick|dictyosome|diencephalon|digestive\s+gland|digestive\s+system|digestive\s+tract|digestive\s+tube|digit|digital\s+arteries|digital\s+vein|dilator|diploic\s+vein|dock|dogtooth|dome|dorsal\s+fin|dorsal\s+scapular\s+vein|dorsal\s+vertebra|dorsum|duct|duct\s+gland|ductless\s+gland|ductule|ductulus|ductus\s+arteriosus|ductus\s+deferens|dug|duodenum|dura|dura\s+mater|ear|ear\s+canal|ear\s+lobe|eardrum|earlobe|eccrine\s+gland|ectoblast|ectoderm|effector|egg|eighth\s+cranial\s+nerve|ejaculatory\s+duct|elastic\s+tissue|elbow|elbow\s+bone|elbow\s+joint|eleventh\s+cranial\s+nerve|elytron|embryonic\s+membrane|embryonic\s+tissue|eminence|emissary\s+vein|enarthrodial\s+joint|enarthrosis|enation|encephalon|end-plate|end\s+organ|endoblast|endocardium|endocranium|endocrine\s+gland|endocrine\s+system|endoderm|endometrium|endoneurium|endoskeleton|endosteum|endothelium|endplate|energid|enteroceptor|enteron|entoblast|entoderm|entomion|entrails|ependyma|epicanthic\s+fold|epicanthus|epicardia|epicardium|epicondyle|epididymis|epigastric\s+artery|epigastric\s+fossa|epigastric\s+vein|epigastrium|epiglottis|epiphysis|epiphysis\s+cerebri|episcleral\s+veins|epithelial\s+tissue|epithelium|erectile\s+organ|erectile\s+tissue|erogenous\s+zone|esophageal\s+veins|esophagus|ethmoid|ethmoid\s+bone|ethmoid\s+sinus|ethmoidal\s+artery|ethmoidal\s+sinus|ethmoidal\s+vein|excitable\s+area|excrescence|excretory\s+organ|exocrine\s+gland|exoderm|exoskeleton|extensor|extensor\s+muscle|external\s+auditory\s+canal|external\s+body\s+part|external\s+carotid|external\s+carotid\s+artery|external\s+ear|external\s+gill|external\s+iliac\s+artery|external\s+iliac\s+vein|external\s+jugular\s+vein|external\s+maxillary\s+artery|external\s+nasal\s+vein|external\s+organ|external\s+orifice|exteroceptor|extremity|eye|eye\s+muscle|eye\s+socket|eye\s+tooth|eyeball|eyecup|eyelid|eyetooth|face|facia|facial|facial\s+artery|facial\s+muscle|facial\s+nerve|facial\s+vein|falciform\s+ligament|fallen\s+arch|false\s+glottis|false\s+vocal\s+cord|false\s+vocal\s+fold|family\s+jewels|fang|fanny|fascia|fascicle|fasciculus|fat|fatty\s+tissue|fauces|faucial\s+tonsil|feature|feeler|female\s+chest|female\s+genital\s+organ|female\s+genitalia|female\s+genitals|female\s+internal\s+reproductive\s+organ|female\s+reproductive\s+system|femoral\s+artery|femoral\s+biceps|femoral\s+nerve|femoral\s+vein|femoris|femur|fenestra|fenestra\s+cochleae|fenestra\s+of\s+the\s+cochlea|fenestra\s+of\s+the\s+vestibule|fenestra\s+ovalis|fenestra\s+rotunda|fenestra\s+vestibuli|fertilization\s+membrane|fetal\s+circulation|fetal\s+membrane|fetlock|fetlock\s+joint|fetter\s+bone|fiber\s+bundle|fibre\s+bundle|fibrocartilage|fibrous\s+joint|fibrous\s+tissue|fibrovascular\s+bundle|fibula|fibular\s+vein|fifth\s+cranial\s+nerve|filament|fillet|filum|fimbria|fin|finger|fingernail|first\s+cranial\s+nerve|first\s+stomach|fishbone|fissure|fissure\s+of\s+Rolando|fissure\s+of\s+Sylvius|fist|fistula|flab|flag|flagellum|flame\s+cell|flank|flap|flatfoot|flesh|flexor|flexor\s+muscle|flipper|fluke|foetal\s+circulation|fold|follicle|fontanel|fontanelle|foot|forearm|forebrain|forefinger|forefoot|forehead|foreleg|forelimb|forepaw|foreskin|forewing|fornix|fossa|fossorial\s+foot|fourth\s+cranial\s+nerve|fourth\s+stomach|fourth\s+ventricle|fovea|fovea\s+centralis|frame|front\s+tooth|frontal\s+area|frontal\s+bone|frontal\s+cortex|frontal\s+lobe|frontal\s+sinus|frontal\s+suture|fundament|fundus|funiculus|funny\s+bone|furcula|fuzz|gall|gallbladder|ganglion|gaskin|gastric\s+artery|gastric\s+mill|gastric\s+vein|gastrocnemius|gastrocnemius\s+muscle|gastrocolic\s+omentum|gastroepiploic\s+vein|gastrointestinal\s+system|gastrointestinal\s+tract|gastroomental\s+vein|genicular\s+vein|geniculate\s+body|genital\s+organ|genital\s+system|genitalia|genitals|genitourinary\s+apparatus|genitourinary\s+system|genu|genu\s+valgum|genu\s+varum|germ|germ\s+layer|germinal\s+area|germinal\s+disc|gill|gill\s+arch|gill\s+bar|gill\s+cleft|gill\s+slit|gingiva|ginglymoid\s+joint|ginglymus|girdle|gizzard|glabella|gladiolus|gland|glandulae\s+cervicales\s+uteri|glandulae\s+sebaceae|glans|glans\s+clitoridis|glans\s+penis|glenoid\s+cavity|glenoid\s+fossa|glia|gliding\s+joint|globus\s+pallidus|glomerular\s+capsule|glomerulus|glossa|glossopharyngeal\s+nerve|glottis|glottis\s+spuria|glottis\s+vera|gluteal\s+artery|gluteal\s+muscle|gluteal\s+vein|gluteus|gluteus\s+maximus|gluteus\s+medius|gluteus\s+minimus|gluteus\s+muscle|gnathion|gob|gonad|gonion|gorge|graft|granulation|granulation\s+tissue|gray\s+matter|gray\s+substance|great\s+adductor\s+muscle|great\s+cerebral\s+vein|great\s+saphenous\s+vein|great\s+toe|greater\s+omentum|greater\s+pectoral\s+muscle|greater\s+peritoneal\s+sac|greater\s+rhomboid\s+muscle|green\s+gland|grey\s+matter|grey\s+substance|grinder|gristle|groin|groove|gullet|gum|gum\s+ridge|gustatory\s+organ|gut|gyrus|gyrus\s+cinguli|haemal\s+arch|hair|hair\s+follicle|half-moon|hallux|halter|haltere|hamate|hamate\s+bone|hammer|hammertoe|hamstring|hamstring\s+tendon|hand|hangnail|haunch|haustorium|haw|hawk\s+nose|head|heart|heart\s+muscle|heart\s+valve|heart\s+ventricle|heel|heelbone|hemal\s+arch|hemisphere|hemizygos\s+vein|hemizygous\s+vein|hemorrhoidal\s+vein|hepatic\s+artery|hepatic\s+duct|hepatic\s+lobe|hepatic\s+portal\s+vein|hepatic\s+vein|heterocercal\s+fin|heterodactyl\s+foot|heterograft|hilum|hilus|hind\s+end|hind\s+leg|hind\s+limb|hindbrain|hindfoot|hindgut|hindquarters|hinge\s+joint|hip|hip\s+joint|hip\s+socket|hipbone|hippocampus|hock|hole|homocercal\s+fin|homograft|honker|hoof|hooknose|hooks|hooter|horn|horny\s+structure|horse's\s+foot|horse's\s+hoof|horseback|human\s+face|human\s+foot|human\s+head|humerus|hyaline\s+cartilage|hyaloid\s+membrane|hymen|hyoid|hyoid\s+bone|hypoblast|hypochondrium|hypodermis|hypogastric\s+artery|hypogastric\s+plexus|hypogastric\s+vein|hypoglossal|hypoglossal\s+nerve|hypophyseal\s+stalk|hypophysis|hypothalamus|ileal\s+artery|ileocecal\s+valve|ileocolic\s+artery|ileocolic\s+vein|ileum|iliac\s+artery|iliac\s+vein|iliolumbar\s+artery|iliolumbar\s+vein|ilium|immune\s+system|imperforate\s+anus|imperforate\s+hymen|incisor|incompetent\s+cervix|incus|index|index\s+finger|inferior\s+alveolar\s+artery|inferior\s+cerebellar\s+artery|inferior\s+cerebral\s+vein|inferior\s+epigastric\s+vein|inferior\s+labial\s+artery|inferior\s+labial\s+vein|inferior\s+mesenteric\s+artery|inferior\s+ophthalmic\s+vein|inferior\s+pulmonary\s+vein|inferior\s+rectus|inferior\s+rectus\s+muscle|inferior\s+thalamostriate\s+vein|inferior\s+thyroid\s+vein|inferior\s+vena\s+cava|inferior\s+vocal\s+cord|inferior\s+vocal\s+fold|infraorbital\s+artery|infundibulum|ingrown\s+hair|ingrown\s+toenail|inguen|inguinal\s+canal|inion|innards|inner\s+ear|innominate\s+artery|innominate\s+bone|innominate\s+vein|instep|integumentary\s+system|interbrain|intercapitular\s+vein|intercostal|intercostal\s+artery|intercostal\s+muscle|intercostal\s+vein|intermaxillary\s+suture|intermediate\s+temporal\s+artery|internal\s+auditory\s+artery|internal\s+auditory\s+vein|internal\s+carotid\s+artery|internal\s+cerebral\s+vein|internal\s+ear|internal\s+iliac\s+artery|internal\s+iliac\s+vein|internal\s+jugular\s+vein|internal\s+maxillary\s+artery|internal\s+organ|internal\s+spermatic\s+artery|internasal\s+suture|interoceptor|interparietal\s+suture|interphalangeal\s+joint|interstice|interstitial\s+tissue|intervertebral\s+vein|intestinal\s+artery|intestine|intima|intracranial\s+cavity|introitus|invertebrate\s+foot|investment|involuntary\s+muscle|iris|ischial\s+bone|ischium|islands\s+of\s+Langerhans|isles\s+of\s+Langerhans|islets\s+of\s+Langerhans|isthmus|jaw|jawbone|jejunal\s+artery|jejunum|joint|jowl|jugal\s+bone|jugal\s+point|jugale|jugular|jugular\s+vein|karyon|keel|keister|kidney|kisser|knee|knee\s+joint|kneecap|kneepan|knock-knee|knocker|knuckle|knuckle\s+joint|labia\s+majora|labia\s+minora|labial\s+artery|labial\s+vein|labium|labyrinth|labyrinthine\s+artery|labyrinthine\s+vein|lachrymal\s+duct|lachrymal\s+gland|lacrimal\s+apparatus|lacrimal\s+artery|lacrimal\s+bone|lacrimal\s+duct|lacrimal\s+gland|lacrimal\s+sac|lacrimal\s+vein|lacteal|lactiferous\s+duct|lambda|lamboid\s+suture|lamella|lamina|lamina\s+arcus\s+vertebrae|landmark|language\s+area|language\s+zone|lantern\s+jaw|lap|lappet|large\s+intestine|laryngeal\s+artery|laryngeal\s+vein|laryngopharynx|larynx|lat|lateral\s+cerebral\s+sulcus|lateral\s+condyle|lateral\s+epicondyle|lateral\s+geniculate\s+body|lateral\s+line|lateral\s+line\s+organ|lateral\s+rectus|lateral\s+rectus\s+muscle|lateral\s+ventricle|latisimus\s+dorsi|layer|leaflet|left|left\s+atrioventricular\s+valve|left\s+atrium|left\s+atrium\s+of\s+the\s+heart|left\s+brain|left\s+coronary\s+artery|left\s+gastric\s+artery|left\s+gastric\s+vein|left\s+hand|left\s+hemisphere|left\s+ventricle|leg|leg\s+bone|lemniscus|lens|lens\s+capsule|lenticular\s+nucleus|lentiform\s+nucleus|leptomeninges|lesser\s+omentum|lesser\s+peritoneal\s+cavity|lesser\s+rhomboid\s+muscle|lid|lien|lienal\s+artery|ligament|ligamentum\s+teres\s+uteri|lignum|limb|limbic\s+brain|limbic\s+system|limbus|lineament|lingua|lingual\s+artery|lingual\s+vein|lip|little\s+finger|little\s+toe|liver|lobate\s+foot|lobe|lobe\s+of\s+the\s+lung|lobule|locule|loculus|loin|loins|long\s+bone|long\s+saphenous\s+vein|lower\s+jaw|lower\s+jawbone|lower\s+respiratory\s+tract|lumbar\s+artery|lumbar\s+nerve|lumbar\s+plexus|lumbar\s+vein|lumbar\s+vertebra|lumbosacral\s+plexus|lumbus|lumen|lunate\s+bone|lung|lunula|lunule|lymph\s+gland|lymph\s+node|lymph\s+vessel|lymphatic\s+system|lymphatic\s+tissue|lymphatic\s+vessel|lymphoid\s+tissue|lysosome|macroglia|macula|macula\s+lutea|macular\s+area|maidenhead|mala|malar\s+bone|male\s+chest|male\s+genital\s+organ|male\s+genitalia|male\s+genitals|male\s+internal\s+reproductive\s+organ|male\s+reproductive\s+gland|male\s+reproductive\s+system|malleus|malpighian\s+body|malpighian\s+corpuscle|malposed\s+tooth|mamilla|mamillary\s+body|mamma|mammary\s+gland|mammilla|mammillary\s+body|mandible|mandibula|mandibular\s+condyle|mandibular\s+fossa|mandibular\s+gland|mandibular\s+joint|manubrium|manus|marrow|marrowbone|marsupium|mastoid|mastoid\s+process|mastoidal|mastoidale|matrix|maulers|maw|maxilla|maxillary\s+artery|maxillary\s+sinus|maxillary\s+vein|meat\s+hooks|meatus|medial\s+condyle|medial\s+geniculate\s+body|medial\s+rectus|medial\s+rectus\s+muscle|mediastinum|medulla|medulla\s+oblongata|medulla\s+spinalis|medullary\s+ray|megacolon|member|membrane|membrane\s+bone|membranous\s+labyrinth|meningeal\s+artery|meningeal\s+veins|meninges|meninx|meniscus|mentum|meristem|mesencephalon|mesenchyme|mesenteric\s+artery|mesenteric\s+plexus|mesenteric\s+vein|mesentery|mesoblast|mesocolon|mesoderm|mesophyron|mesothelium|metacarpal|metacarpal\s+artery|metacarpal\s+bone|metacarpal\s+vein|metacarpophalangeal\s+joint|metacarpus|metaphysis|metatarsal|metatarsal\s+arch|metatarsal\s+artery|metatarsal\s+vein|metatarsus|metencephalon|metopion|microglia|micropenis|microphallus|microtubule|midbrain|middle|middle\s+cerebral\s+artery|middle\s+cerebral\s+vein|middle\s+ear|middle\s+finger|middle\s+meningeal\s+artery|middle\s+temporal\s+vein|middle\s+thyroid\s+vein|midrib|midriff|midsection|milk\s+tooth|minge|mitochondrion|mitral\s+valve|mitt|modiolus|molar|mononuclear\s+phagocyte\s+system|mons|mons\s+pubis|mons\s+veneris|mortise\s+joint|motor\s+area|motor\s+cortex|motor\s+end\s+plate|motor\s+nerve|motor\s+region|mouth|mouthpart|mucosa|mucous\s+membrane|mug|muscle|muscle\s+system|muscular\s+structure|muscular\s+tissue|musculature|musculophrenic\s+artery|musculophrenic\s+vein|musculoskeletal\s+system|musculospiral\s+nerve|musculus|musculus\s+abductor\s+digiti\s+minimi\s+manus|musculus\s+abductor\s+digiti\s+minimi\s+pedis|musculus\s+abductor\s+hallucis|musculus\s+abductor\s+pollicis|musculus\s+adductor\s+brevis|musculus\s+adductor\s+hallucis|musculus\s+adductor\s+longus|musculus\s+adductor\s+magnus|musculus\s+anconeus|musculus\s+articularis\s+cubiti|musculus\s+articularis\s+genus|musculus\s+biceps\s+brachii|musculus\s+biceps\s+femoris|musculus\s+buccinator|musculus\s+deltoideus|musculus\s+intercostalis|musculus\s+pectoralis|musculus\s+pectoralis\s+major|musculus\s+pectoralis\s+minor|musculus\s+quadriceps\s+femoris|musculus\s+rhomboideus\s+major|musculus\s+rhomboideus\s+minor|musculus\s+sartorius|musculus\s+scalenus|musculus\s+serratus\s+anterior|musculus\s+serratus\s+posterior|musculus\s+sphincter\s+ani|musculus\s+sphincter\s+ani\s+externus|musculus\s+sphincter\s+ani\s+internus|musculus\s+sphincter\s+ductus\s+choledochi|musculus\s+sphincter\s+ductus\s+pancreatici|musculus\s+sphincter\s+pupillae|musculus\s+sphincter\s+pylori|musculus\s+sphincter\s+urethrae|musculus\s+sphincter\s+vesicae|musculus\s+sternocleidomastoideus|musculus\s+temporalis|musculus\s+teres\s+major|musculus\s+teres\s+minor|musculus\s+tibialis|musculus\s+trapezius|musculus\s+triceps\s+brachii|muzzle|myelencephalon|myenteric\s+plexus|myocardium|myometrium|myringa|nabothian\s+gland|nail|naris|nasal|nasal\s+bone|nasal\s+cavity|nasal\s+concha|nasal\s+meatus|nasal\s+septum|nasal\s+sinus|nasion|nasofrontal\s+vein|nasolacrimal\s+duct|nasopharynx|nates|navicular|neb|neck|neck\s+bone|neencephalon|neocortex|neoencephalon|neopallium|nephron|nerve|nerve\s+center|nerve\s+centre|nerve\s+pathway|nerve\s+plexus|nerve\s+tissue|nerve\s+tract|nervii\s+olfactorii|nervous\s+system|nervous\s+tissue|nervure|nervus|nervus\s+abducens|nervus\s+accessorius|nervus\s+coccygeus|nervus\s+facialis|nervus\s+femoralis|nervus\s+glossopharyngeus|nervus\s+hypoglosus|nervus\s+ischiadicus|nervus\s+oculomotorius|nervus\s+opticus|nervus\s+phrenicus|nervus\s+radialis|nervus\s+saphenus|nervus\s+spinalis|nervus\s+trigeminus|nervus\s+ulnaris|nervus\s+vagus|nervus\s+vestibulocochlearis|neural\s+arch|neural\s+structure|neural\s+tube|neuroepithelium|neuroglia|neurohypophysis|nib|nictitating\s+membrane|ninth\s+cranial\s+nerve|nipper|nipple|node|nodule|noggin|noodle|nose|nostril|notochord|nozzle|nucleolar\s+organizer|nucleole|nucleolus|nucleolus\s+organizer|nucleus|nut|nutrient\s+artery|oak\s+apple|obelion|oblique\s+vein\s+of\s+the\s+left\s+atrium|obturator\s+vein|occipital\s+bone|occipital\s+lobe|occipital\s+vein|occipitomastoid\s+suture|occiput|ocular\s+muscle|oculomotor|oculomotor\s+nerve|oculus|oculus\s+dexter|oculus\s+sinister|odontoid\s+process|oesophageal\s+veins|oesophagus|oil\s+gland|olecranon|olecranon\s+process|olfactory\s+brain|olfactory\s+bulb|olfactory\s+nerve|olfactory\s+organ|oligodendria|oligodendroglia|omasum|omental\s+bursa|omentum|onyxis|opening|operculum|ophryon|ophthalmic\s+artery|ophthalmic\s+vein|optic|optic\s+chiasm|optic\s+chiasma|optic\s+cup|optic\s+nerve|optic\s+tract|oral\s+cavity|oral\s+fissure|orb|orbit|orbital\s+cavity|orbital\s+point|orbitale|orchis|organ|organ\s+of\s+Corti|organ\s+of\s+hearing|organelle|orifice|oropharynx|os|os\s+breve|os\s+capitatum|os\s+frontale|os\s+hamatum|os\s+hyoideum|os\s+ischii|os\s+longum|os\s+lunatum|os\s+nasale|os\s+palatinum|os\s+pisiforme|os\s+pubis|os\s+scaphoideum|os\s+sesamoideum|os\s+sphenoidale|os\s+tarsi\s+fibulare|os\s+temporale|os\s+trapezium|os\s+trapezoideum|os\s+triquetrum|os\s+zygomaticum|osmoreceptor|osseous\s+labyrinth|ossicle|ossiculum|osteophyte|ostiole|otic\s+ganglion|otoganglion|outer\s+ear|outgrowth|oval\s+window|ovarian\s+artery|ovarian\s+vein|ovary|oviduct|ovipositor|ovotestis|oxtail|pacemaker|pad|palaeencephalon|palatine|palatine\s+artery|palatine\s+bone|palatine\s+tonsil|palatine\s+vein|paleencephalon|paleocerebellum|paleocortex|paleoencephalon|paleostriatum|pallidum|pallium|palm|palpebra|pancreas|pancreatic\s+artery|pancreatic\s+duct|pancreatic\s+vein|pap|papilla|papillary\s+muscle|parafovea|paranasal\s+sinus|parapodium|parasympathetic|parasympathetic\s+nervous\s+system|parathyroid|parathyroid\s+gland|paraumbilical\s+vein|parenchyma|parietal\s+bone|parietal\s+lobe|parietal\s+pericardium|parietal\s+pleura|parietomastoid\s+suture|parotid\s+gland|parotid\s+vein|pars\s+anterior|pars\s+distilis|pars\s+intermedia|pars\s+nervosa|passage|passageway|pastern|patella|patent\s+ductus\s+arteriosus|pathway|paunch|paw|pearly|pecker|pecs|pectoral|pectoral\s+arch|pectoral\s+fin|pectoral\s+girdle|pectoral\s+muscle|pectoral\s+vein|pectoralis|pectoralis\s+major|pectoralis\s+minor|pectus|pedal\s+extremity|peduncle|peeper|peg|pellicle|pelvic\s+arch|pelvic\s+cavity|pelvic\s+fin|pelvic\s+girdle|pelvis|penis|pennon|perforated\s+eardrum|perforating\s+vein|periarterial\s+plexus|pericardial\s+cavity|pericardial\s+sac|pericardial\s+space|pericardial\s+vein|pericardium|perineal\s+artery|perineum|perineurium|periosteum|peripheral\s+nervous\s+system|peristome|perithelium|peritoneal\s+cavity|peritoneum|permanent\s+tooth|peroneal\s+vein|peroneus|pes|pes\s+planus|peter|phalanx|phallus|pharyngeal\s+tonsil|pharyngeal\s+vein|pharynx|phiz|phloem|phrenic\s+nerve|phrenic\s+vein|physiognomy|physiological\s+sphincter|pia\s+mater|pilus|pin|pincer|pineal\s+body|pineal\s+eye|pineal\s+gland|pinguecula|pinion|pinkie|pinky|pinna|piriform\s+area|piriform\s+lobe|pisiform|pisiform\s+bone|pit|pit\s+of\s+the\s+stomach|pith|pituitary|pituitary\s+body|pituitary\s+gland|pivot\s+joint|placenta|plant\s+process|plant\s+tissue|plasma\s+membrane|plate|platysma|pleopod|pleura|pleural\s+cavity|plexus|plexus\s+autonomici|plexus\s+brachialis|plexus\s+cardiacus|plexus\s+caroticus|plexus\s+celiacus|plexus\s+cervicalis|plexus\s+choroideus|plexus\s+coccygeus|plexus\s+dentalis|plexus\s+hypogastricus|plexus\s+lumbalis|plexus\s+mesentericus|plexus\s+myentericus|plexus\s+periarterialis|plexus\s+pulmonalis|plexus\s+sacralis|plica|plica\s+vocalis|pneumogastric|pneumogastric\s+nerve|pocket|podetium|pogonion|pollex|pons|pons\s+Varolii|popliteal\s+artery|popliteal\s+vein|pore|porta|porta\s+hepatis|portacaval\s+shunt|portal\s+system|portal\s+vein|postcava|postcentral\s+gyrus|posterior|posterior\s+cardinal\s+vein|posterior\s+cerebral\s+artery|posterior\s+facial\s+vein|posterior\s+labial\s+veins|posterior\s+meningeal\s+artery|posterior\s+naris|posterior\s+pituitary|posterior\s+pituitary\s+gland|posterior\s+serratus\s+muscle|posterior\s+temporal\s+artery|posterior\s+vein\s+of\s+the\s+left\s+ventricle|pot|potbelly|pouch|prat|precava|precentral\s+gyrus|precordium|preen\s+gland|prefrontal\s+lobe|premolar|prepuce|prepyloric\s+vein|prick|pricker|prickle|primary\s+tooth|primordium|private\s+parts|privates|proboscis|process|processus\s+coronoideus|pronucleus|prosencephalon|prostate|prostate\s+gland|prostheon|prosthion|protective\s+fold|prothorax|protoplast|proud\s+flesh|psalterium|pseudophloem|pseudopod|pseudopodium|psoas|pterion|pterygium|pterygoid\s+muscle|pterygoid\s+plexus|pterygoid\s+process|pubes|pubic\s+bone|pubic\s+region|pubis|puddingface|pudendal\s+artery|pudendal\s+cleavage|pudendal\s+cleft|pudendal\s+slit|pudendal\s+vein|pudendum|pug\s+nose|pulmonary\s+artery|pulmonary\s+plexis|pulmonary\s+trunk|pulmonary\s+valve|pulmonary\s+vein|pulp|pulp\s+cavity|pump|pupillary\s+sphincter|puss|pussy|putamen|pyloric\s+sphincter|pyloric\s+valve|pyloric\s+vein|pylorus|pyramidal\s+bone|pyramidal\s+motor\s+system|pyramidal\s+tract|pyriform\s+area|pyriform\s+lobe|quad|quadriceps|quadriceps\s+femoris|quick|quill|rachis|radial\s+artery|radial\s+nerve|radial\s+vein|radicle|radiocarpal\s+joint|radius|ramus|rattle|ray|rear|rear\s+end|receptor|rectal\s+artery|rectal\s+vein|rectum|rectus|rectus\s+inferior|rectus\s+lateralis|rectus\s+medialis|rectus\s+superior|red\s+bone\s+marrow|red\s+marrow|reflex\s+arc|region|renal\s+artery|renal\s+corpuscle|renal\s+cortex|renal\s+pelvis|renal\s+vein|reproductive\s+organ|reproductive\s+system|respiratory\s+center|respiratory\s+organ|respiratory\s+system|respiratory\s+tract|rete|rete\s+testis|reticuloendothelial\s+system|reticulum|retina|retromandibular\s+vein|rhinencephalon|rhinion|rhombencephalon|rhomboid|rhomboid\s+minor\s+muscle|rhomboid\s+muscle|rhomboideus\s+major\s+muscle|rib|rib\s+cage|ribosome|ridge|right|right\s+atrioventricular\s+valve|right\s+atrium|right\s+atrium\s+of\s+the\s+heart|right\s+brain|right\s+coronary\s+artery|right\s+gastric\s+artery|right\s+gastric\s+vein|right\s+hand|right\s+hemisphere|right\s+ventricle|rima|rima\s+glottidis|rima\s+oris|rima\s+pudendi|rima\s+respiratoria|rima\s+vestibuli|rima\s+vocalis|rima\s+vulvae|rind|ring\s+finger|ring\s+of\s+color|root|root\s+canal|rostrum|rotary\s+joint|rotator\s+cuff|rotatory\s+joint|round\s+bone|round\s+ligament\s+of\s+the\s+uterus|round\s+window|rudiment|ruga|rumen|rump|sac|saccule|sacculus|sacral\s+nerve|sacral\s+plexus|sacral\s+vein|sacral\s+vertebra|sacrum|saddle|sagittal\s+suture|salivary\s+duct|salivary\s+gland|salpinx|saphenous\s+nerve|saphenous\s+vein|sarcolemma|sarcosome|sartorius|sartorius\s+muscle|scalene\s+muscle|scalenus|scalp|scaphoid\s+bone|scapula|schnozzle|sciatic\s+nerve|sclera|scleral\s+veins|sclerotic\s+coat|scrotal\s+vein|scrotum|scut|seat|sebaceous\s+follicle|sebaceous\s+gland|second\s+cranial\s+nerve|second\s+stomach|secreter|secretor|secretory\s+organ|segmentation\s+cavity|semicircular\s+canal|semilunar\s+bone|semilunar\s+valve|seminal\s+duct|seminal\s+vesicle|seminiferous\s+tubule|semipermeable\s+membrane|sense\s+organ|sensorimotor\s+area|sensorimotor\s+region|sensory\s+hair|sensory\s+nerve|sensory\s+receptor|sensory\s+system|septum|sericterium|serictery|serosa|serous\s+membrane|serratus|serratus\s+anterior|serratus\s+magnus|serratus\s+muscles|serratus\s+posterior|serratus\s+posterior\s+inferior|serratus\s+posterior\s+superior|sesamoid\s+bone|seta|seventh\s+cranial\s+nerve|sex\s+organ|shaft|shank|shank's\s+mare|shank's\s+pony|shanks'\s+mare|shanks'\s+pony|shell|shin|shinbone|short\s+bone|short\s+gastric\s+artery|short\s+saphenous\s+vein|shoulder|shoulder\s+blade|shoulder\s+bone|shoulder\s+girdle|shoulder\s+joint|shunt|side|sieve\s+tube|sigmoid\s+colon|sigmoid\s+flexure|sigmoid\s+sinus|sigmoid\s+vein|silk\s+gland|simple\s+eye|sinciput|sinew|sinoatrial\s+node|sinus|sinus\s+cavernosus|sinus\s+coronarius|sinus\s+ethmoidales|sinus\s+paranasales|sinus\s+rectus|sinus\s+sigmoideus|sinus\s+transversus|sinus\s+venosus\s+sclerae|sinusoid|sixth\s+cranial\s+nerve|skeletal\s+muscle|skeletal\s+structure|skeletal\s+system|skeleton|skin|skin\s+graft|skull|skullcap|slit|small|small\s+intestine|smaller\s+pectoral\s+muscle|smiler|smooth\s+muscle|snatch|snoot|snout|socket|soft\s+palate|soft\s+spot|solar\s+plexus|sole|soleus|soleus\s+muscle|spare-tire|speech\s+organ|spermatic\s+cord|sphenion|sphenoid|sphenoid\s+bone|sphenoid\s+fontanel|sphenoid\s+fontanelle|sphenoidal\s+fontanel|sphenoidal\s+fontanelle|spheroid\s+joint|sphincter|sphincter\s+ani|sphincter\s+muscle|spicule|spiculum|spinal\s+accessory|spinal\s+canal|spinal\s+column|spinal\s+cord|spinal\s+nerve|spinal\s+vein|spindlelegs|spindleshanks|spine|spiracle|splanchnic\s+nerve|splayfoot|spleen|splenic\s+artery|splenic\s+vein|splint\s+bone|spur|stapes|stele|stellate\s+venule|stephanion|stern|sternocleido\s+mastoideus|sternocleidomastoid|sternocleidomastoid\s+muscle|sternocleidomastoid\s+vein|sternum|stick|sticker|stifle|stigma|stinger|stinging\s+hair|stirrup|stoma|stomach|straight\s+sinus|stretch\s+receptor|striate\s+vein|striated\s+muscle|striated\s+muscle\s+tissue|stroma|structure|stump|style|stylet|styloid\s+process|stylomastoid\s+vein|subclavian\s+artery|subclavian\s+vein|sublingual\s+gland|sublingual\s+salivary\s+gland|sublingual\s+vein|submandibular\s+gland|submandibular\s+salivary\s+gland|submaxilla|submaxillary\s+gland|submaxillary\s+salivary\s+gland|submucosa|substantia\s+alba|substantia\s+grisea|sucker|sudoriferous\s+gland|sulcus|sulcus\s+centralis|sulcus\s+lateralis\s+cerebri|sunken\s+arch|superciliary\s+arch|superciliary\s+ridge|superficial\s+epigastric\s+vein|superficial\s+middle\s+cerebral\s+vein|superficial\s+temporal\s+vein|superior\s+alveolar\s+artery|superior\s+cerebellar\s+artery|superior\s+cerebral\s+vein|superior\s+epigastric\s+veins|superior\s+labial\s+artery|superior\s+labial\s+vein|superior\s+mesenteric\s+artery|superior\s+ophthalmic\s+vein|superior\s+pulmonary\s+vein|superior\s+rectus|superior\s+rectus\s+muscle|superior\s+thalamostriate\s+vein|superior\s+thyroid\s+vein|superior\s+vena\s+cava|superior\s+vocal\s+cord|supraorbital\s+ridge|supraorbital\s+torus|supraorbital\s+vein|suprarenal\s+gland|supratrochlear\s+vein|sura|sutura|sutura\s+coronalis|sutura\s+frontalis|sutura\s+intermaxillaris|sutura\s+internasalis|sutura\s+lamboidea|sutura\s+sagittalis|sutural\s+bone|suture|sweat\s+duct|sweat\s+gland|swim\s+bladder|swimmeret|sympathetic\s+nervous\s+system|symphysion|synovial\s+joint|synovial\s+membrane|synovium|syrinx|system|system\s+of\s+macrophages|systema\s+alimentarium|systema\s+digestorium|systema\s+lymphaticum|systema\s+nervosum|systema\s+nervosum\s+centrale|systema\s+nervosum\s+periphericum|systema\s+respiratorium|systema\s+skeletale|systema\s+urogenitale|tail|tail\s+bone|tail\s+end|tail\s+fin|talon|talus|taret\s+organ|target\s+organ|tarsal|tarsal\s+bone|tarsal\s+gland|tarsus|taste\s+bud|tastebud|tear\s+duct|tear\s+gland|tear\s+sac|teat|tegument|telencephalon|temple|temporal\s+artery|temporal\s+bone|temporal\s+lobe|temporal\s+muscle|temporal\s+vein|temporalis|temporalis\s+muscle|temporomandibular\s+joint|tendon|tendon\s+of\s+Achilles|tensor|tensor\s+tympani|tentacle|tenth\s+cranial\s+nerve|tentorial\s+sinus|tentorium|teres|teres\s+major|teres\s+major\s+muscle|teres\s+minor|teres\s+minor\s+muscle|teres\s+muscle|testicle|testicular\s+artery|testicular\s+vein|testis|thalamostriate\s+vein|thalamus|thalmencephalon|thenar|thermoreceptor|thick\s+skin|thigh|thighbone|third\s+cranial\s+nerve|third\s+eye|third\s+eyelid|third\s+stomach|third\s+tonsil|third\s+ventricle|thoracic\s+aorta|thoracic\s+cavity|thoracic\s+duct|thoracic\s+nerve|thoracic\s+vein|thoracic\s+vertebra|thoracoepigastric\s+vein|thorax|thorn|throat|thumb|thumbnail|thymus|thymus\s+gland|thyroid|thyroid\s+cartilage|thyroid\s+gland|thyroid\s+vein|tibia|tibia\s+valga|tibia\s+vara|tibial\s+vein|tibialis|tibialis\s+anterior|tibialis\s+anticus|tibialis\s+muscle|tibialis\s+posterior|tibialis\s+posticus|ticker|tissue|tissue\s+layer|tit|titty|toe|toenail|tomentum|tomentum\s+cerebri|tongue|tonsil|tonsilla|tonsilla\s+adenoidea|tonsilla\s+pharyngealis|tool|tooshie|tooth|tooth\s+root|tooth\s+socket|topknot|torso|trabecula|trachea|tracheal\s+vein|tracheid|tract|tragus|transplant|transversalis|transversalis\s+abdominis|transverse\s+colon|transverse\s+process|transverse\s+sinus|transversus|transversus\s+abdominis|trap|trapezium|trapezium\s+bone|trapezius|trapezius\s+muscle|trapezoid|trapezoid\s+bone|triceps|triceps\s+brachii|tricuspid\s+valve|trigeminal|trigeminal\s+nerve|trigeminus|triquetral|triquetral\s+bone|trochanter|trochlear|trochlear\s+nerve|trochlearis|trophoblast|trotter|true\s+glottis|true\s+rib|true\s+vocal\s+cord|true\s+vocal\s+fold|truncus\s+atrioventricularis|truncus\s+celiacus|truncus\s+pulmonalis|trunk|tube|tube-shaped\s+structure|tube\s+foot|tubercle|tuberosity|tubular\s+cavity|tubule|tuft|tum|tummy|tunic|tunica|tunica\s+albuginea\s+testes|turbinal|turbinate|turbinate\s+bone|tush|tusk|twat|twelfth\s+cranial\s+nerve|tympanic\s+bone|tympanic\s+cavity|tympanic\s+membrane|tympanic\s+vein|tympanum|udder|ulna|ulnar\s+artery|ulnar\s+nerve|ulnar\s+vein|umbilical\s+cord|umbilical\s+vein|umbilical\s+vesicle|unciform\s+bone|underbelly|underbody|underpart|undescended\s+testicle|undescended\s+testis|unguis|upper\s+jaw|upper\s+jawbone|upper\s+respiratory\s+tract|ureter|urethra|urethral\s+orifice|urethral\s+sphincter|urinary\s+apparatus|urinary\s+bladder|urinary\s+organ|urinary\s+system|urinary\s+tract|uriniferous\s+tubule|urochord|urogenital\s+apparatus|urogenital\s+cleft|urogenital\s+system|uropygial\s+gland|uropygium|uterine\s+artery|uterine\s+cavity|uterine\s+cervix|uterine\s+tube|uterine\s+vein|uterus|utricle|utriculus|uvea|uvula|vacuole|vagina|vaginal\s+artery|vagus|vagus\s+nerve|vallecula|valve|valvelet|valvula|valvule|vane|varicose\s+vein|vas|vas\s+deferens|vasa\s+brevis|vasa\s+efferentia|vasa\s+vasorum|vascular\s+bundle|vascular\s+ray|vascular\s+strand|vascular\s+structure|vascular\s+system|vascular\s+tissue|veil|vein|vein\s+of\s+penis|velum|vena|vena\s+anastomotica|vena\s+angularis|vena\s+appendicularis|vena\s+arcuata\s+renis|vena\s+auricularis|vena\s+axillaris|vena\s+azygos|vena\s+basalis|vena\s+basilica|vena\s+basivertebralis|vena\s+brachialis|vena\s+brachiocephalica|vena\s+bronchialis|vena\s+bulbi\s+penis|vena\s+bulbi\s+vestibuli|vena\s+canaliculi\s+cochleae|vena\s+cava|vena\s+centrales\s+retinae|vena\s+centralis\s+glandulae\s+suprarenalis|vena\s+cephalica|vena\s+cephalica\s+accessoria|vena\s+cerebellum|vena\s+cerebri|vena\s+cerebri\s+anterior|vena\s+cerebri\s+magna|vena\s+cerebri\s+media|vena\s+cerebrum\s+internus|vena\s+cerebrum\s+superior|vena\s+cervicalis\s+profunda|vena\s+choroidea|vena\s+circumflexa|vena\s+circumflexa\s+ilium|vena\s+circumflexus\s+femoris|vena\s+clitoridis|vena\s+colica|vena\s+comitans|vena\s+cutanea|vena\s+cystica|vena\s+digitalis|vena\s+diploica|vena\s+dorsalis\s+clitoridis\s+profunda|vena\s+emissaria|vena\s+epigastrica\s+inferior|vena\s+epigastrica\s+superficialis|vena\s+ethmoidalis|vena\s+facialis|vena\s+facialis\s+anterior|vena\s+femoralis|vena\s+gastrica|vena\s+gastrica-dextra|vena\s+gastrica\s+sinistra|vena\s+gastroomentalis|vena\s+genus|vena\s+gluteus|vena\s+hemiazygos\s+accessoria|vena\s+hemizygos|vena\s+hepatica|vena\s+ileocolica|vena\s+iliaca|vena\s+iliolumbalis|vena\s+intercapitalis|vena\s+intercostalis|vena\s+intervertebralis|vena\s+jugularis|vena\s+labialis|vena\s+labialis\s+inferior|vena\s+labialis\s+superior|vena\s+lacrimalis|vena\s+laryngea|vena\s+lienalis|vena\s+lingualis|vena\s+lumbalis|vena\s+maxillaris|vena\s+mesenterica|vena\s+metacarpus|vena\s+metatarsus|vena\s+musculophrenica|vena\s+nasalis\s+externa|vena\s+nasofrontalis|vena\s+obliqua\s+atrii\s+sinistri|vena\s+obturatoria|vena\s+occipitalis|vena\s+ophthalmica|vena\s+ovarica|vena\s+palatina|vena\s+paraumbilicalis|vena\s+pectoralis|vena\s+perforantis|vena\s+pericardiaca|vena\s+peroneus|vena\s+pharyngeus|vena\s+phrenica|vena\s+poplitea|vena\s+portae|vena\s+posterior\s+ventriculi\s+sinistri|vena\s+profunda\s+penis|vena\s+pulmanalis\s+inferior|vena\s+pulmonalis|vena\s+pulmonalis\s+superior|vena\s+pylorica|vena\s+radialis|vena\s+rectalis|vena\s+renalis|vena\s+retromandibularis|vena\s+sacralis|vena\s+saphena|vena\s+scapularis\s+dorsalis|vena\s+scrotalis|vena\s+sigmoideus|vena\s+spinalis|vena\s+sternocleidomastoidea|vena\s+stylomastoidea|vena\s+subclavia|vena\s+sublingualis|vena\s+supraorbitalis|vena\s+supratrochlearis|vena\s+temporalis|vena\s+testicularis|vena\s+thoracica|vena\s+thoracoepigastrica|vena\s+thyroidea|vena\s+tibialis|vena\s+trachealis|vena\s+ulnaris|vena\s+umbilicalis|vena\s+vertebralis|vena\s+vertebralis\s+accessoria|vena\s+vertebralis\s+anterior|vena\s+vesicalis|vena\s+vestibularis|vena\s+vorticosum|venae\s+centrales\s+hepatis|venae\s+cerebrum\s+inferior|venae\s+ciliares|venae\s+conjunctivales|venae\s+dorsales\s+clitoridis\s+superficiales|venae\s+dorsales\s+penis\s+profunda|venae\s+dorsales\s+penis\s+superficiales|venae\s+epigastricae\s+superiores|venae\s+episclerales|venae\s+esophageae|venae\s+interlobulares\s+hepatis|venae\s+interlobulares\s+renis|venae\s+labiales\s+anteriores|venae\s+labiales\s+posteriores|venae\s+meningeae|venae\s+palpebrales|venae\s+pancreatica|venae\s+profundae\s+clitoridis|venae\s+pudendum|venae\s+renis|venae\s+sclerales|venous\s+sinus|vent|venter|ventral\s+fin|ventricle|ventricular\s+fold|ventriculus|venula|venule|vermiform\s+appendix|vermiform\s+process|vertebra|vertebral\s+arch|vertebral\s+artery|vertebral\s+canal|vertebral\s+column|vertebral\s+vein|vertebrate\s+foot|vesica|vesical\s+vein|vesicle|vesicula\s+umbilicus|vessel|vestibular\s+apparatus|vestibular\s+fold|vestibular\s+gland|vestibular\s+system|vestibular\s+vein|vestibule|vestibule\s+of\s+the\s+ear|vestibule\s+of\s+the\s+vagina|vestibulocochlear\s+nerve|vibrissa|villus|virginal\s+membrane|visage|viscera|visceral\s+brain|visceral\s+pericardium|visceral\s+pleura|viscus|visual\s+area|visual\s+cortex|visual\s+system|vital\s+organ|vitals|vitelline\s+sac|vocal\s+band|vocal\s+cord|vocal\s+fold|vocal\s+organ|voice\s+box|voluntary\s+muscle|vomer|vortex\s+vein|vorticose\s+vein|vulva|vulvar\s+slit|waist|waistline|wandering\s+nerve|wasp\s+waist|water\s+blister|water\s+vascular\s+system|wattle|web|webbed\s+foot|webfoot|whisker|white\s+matter|windpipe|wing|wing\s+case|wisdom\s+tooth|wishbone|wishing\s+bone|withers|womb|wrist|wrist\s+bone|wrist\s+joint|xenograft|xiphoid\s+process|xylem|yap|yellow\s+bone\s+marrow|yellow\s+marrow|yellow\s+spot|yolk\s+sac|zygodactyl\s+foot|zygoma|zygomatic\s+arch|zygomatic\s+bone|zygomatic\s+process)}oi;
#>
#< regexp: US president
our $US_PRESIDENT = qr{(?:(?:George )?Washington|(?:John )?Adams|(?:Thomas )?Jefferson|(?:James )?Madison|(?:James )?Monroe|(?:John )?(?:Quincy )?Adams|(?:Andrew )?Jackson|(?:Martin )?Van Buren|(?:William )?(?:Henry )?Harrison|(?:John )?Tyler|(?:James )?(?:Knox )?Polk|(?:Zachary )?Taylor|(?:Millard )?Fillmore|(?:Franklin )?Pierce|(?:James )?Buchanan|(?:Abraham )?Lincoln|(?:Andrew )?Johnson|(?:Ulysses )?(?:Simpson )?Grant|(?:Rutherford )?(?:Birchard |B\.? )?Hayes|(?:James )?(?:Abram |A\.? )?Garfield|(?:Chester )?(?:Alan |A\.? )?Arthur|(?:Grover )?Cleveland|(?:Benjamin )?Harrison|(?:Grover )?Cleveland|(?:William )?McKinley|(?:Theodore )?Roosevelt|(?:William )?(?:Howard |H\.? )?Taft|(?:Woodrow )?Wilson|(?:Warren )?(?:Gamaliel |G\.? )?Harding|(?:Calvin )?Coolidge|(?:Herbert )?(?:Clark |C\.? )?Hoover|(?:Franklin )?(?:Delano |D\.? )?Roosevelt|(?:Harry )?(?:S. )?Truman|(?:Dwight )?(?:David |D\.? )?Eisenhower|(?:John )?(?:Fitzgerald |F\.? )?Kennedy|(?:Lyndon )?(?:Baines |B\.? )?Johnson|(?:Richard )?(?:Milhous |M\.? )?Nixon|(?:Gerald )?(?:Rudolph |R\.? )?Ford|(?:James )?(?:Earl |E\.? )?Carter|(?:Ronald )?(?:Wilson |W\.? )?Reagan|(?:George )?(?:Herbert )?(?:Walker )?Bush|(?:William )?(?:Jefferson )?Clinton|(?:George )?(?:Walker |W\.? )?Bush)}o;
#>
#< regexp: OCCUPATION
our $OCCUPATION = qr{(?:Arabist|Comptroller\s+General|Comptroller\s+of\s+the\s+Currency|Egyptologist|Fauve|Green\s+Beret|Hebraist|Highlander|Huguenot|Inquisitor|Latinist|Marine|Minuteman|Postimpressionist|Rough\s+Rider|Sinologist|TV\s+star|UNIX\s+guru|abductor|abetter|abettor|abnegator|abolitionist|abridger|abstainer|abstract\s+artist|abstracter|abstractionist|abstractor|abuser|academic|academic\s+administrator|academician|accommodator|accompanist|accompanyist|accomplice|accoucheur|account\s+executive|account\s+representative|accountant|accuser|achiever|acoustician|acquirer|acrobat|active\s+citizen|activist|actor|actor's\s+assistant|actress|actuary|adapter|adjudicator|adjuster|adjustor|adjutant|adjutant\s+general|administrative\s+official|administrator|admiral|admonisher|adorer|adventurer|adventuress|adverse\s+witness|advertiser|advertizer|adviser|advisor|advocate|advocator|aerator|aeronaut|aeronautical\s+engineer|aerospace\s+engineer|aesthete|aesthetician|afficionado|affiliate|affirmer|aficionado|agent|aggregator|aggressor|agitator|agricultural\s+agent|agricultural\s+laborer|agricultural\s+labourer|agriculturist|agronomist|aide|aide-de-camp|air\s+force\s+officer|air\s+hostess|aircraftman|aircraftsman|aircrewman|airman|airplane\s+pilot|airwoman|alarmist|alchemist|algebraist|alienator|all-rounder|all\s+arounder|allayer|alleviator|almoner|almsgiver|alphabetizer|alpinist|altar\s+boy|alto|altruist|alum|alumna|alumnus|amah|amanuensis|ambassador|ambassadress|ambler|ambulance\s+chaser|ambusher|amicus\s+curiae|amorist|anaesthetist|analogist|analyst|anarchist|anatomist|anesthesiologist|anesthetist|angler|animal\s+scientist|animal\s+stuffer|animal\s+trainer|animator|annalist|annotator|announcer|annoyer|annuitant|anointer|anomalist|antagonist|anthologist|anthropologist|anticipant|anticipator|antiquarian|antiquary|aphorist|apiarist|apiculturist|appeaser|applicant|applied\s+scientist|appointee|appraiser|apprehender|aquanaut|arbiter|arbitrager|arbitrageur|arbitrator|arboriculturist|arborist|archaeologist|archeologist|archer|architect|archpriest|argonaut|arguer|aristocrat|arithmetician|armiger|armor-bearer|armorer|armourer|arms-runner|arms\s+manufacturer|army\s+engineer|army\s+officer|arouser|arranger|arrogator|arrowsmith|arsonist|art\s+critic|art\s+dealer|art\s+editor|art\s+historian|art\s+student|articulator|artificer|artilleryman|artisan|artist|artist's\s+model|artiste|ascetic|assailant|assaulter|assayer|assembler|assessor|asseverator|assignee|assignor|assimilator|assistant|astrogator|astrologer|astrologist|astronaut|astronomer|astrophysicist|athlete|attache|attempter|attendant|attender|attestant|attester|attorney|attorney\s+general|attorneyship|attractor|auctioneer|auditor|auteur|authenticator|author|authoress|authority|auto-changer|auto-mechanic|auto\s+maker|auto\s+manufacturer|automobile\s+driver|automobile\s+mechanic|automobilist|automotive\s+engineer|avenger|aviator|aviatress|aviatrix|avower|baby-sitter|baby\s+doctor|babysitter|backroom\s+boy|backstroker|backup\s+man|bacteriologist|baggageman|bagger|bagman|bagpiper|bailiff|baker|ballad\s+maker|balladeer|baller\s+mistress|ballerina|ballet\s+dancer|ballet\s+master|balloonist|ballplayer|ballyhoo\s+artist|bandit|bandleader|bandmaster|bandsman|bank\s+clerk|bank\s+examiner|bank\s+guard|bank\s+robber|banker|bar\s+sinister|barber|bargainer|bargee|bargeman|baritone|barkeep|barkeeper|barmaid|barman|barnstormer|baron|baroreceptor|barrel\s+maker|barrister|barrow-boy|barrow-man|bartender|barterer|barytone|base\s+runner|baseball\s+player|basketball\s+player|basketeer|basketmaker|basketweaver|bass|basso|bassoonist|baster|batman|baton\s+twirler|batsman|beadle|bearer|beater|beautician|beauty\s+consultant|bedsitter|beef\s+man|beekeeper|beer\s+maker|beggarman|beggarwoman|behaviorist|behaviourist|bel\s+esprit|bell\s+captain|bell\s+founder|bell\s+ringer|bellboy|bellhop|bellman|belly\s+dancer|belt\s+maker|bibliographer|bibliophile|bibliopole|bibliopolist|bibliotist|bicycler|bicyclist|big\s+businessman|bill\s+poster|bill\s+sticker|billiard\s+marker|billiard\s+player|bimetallist|biochemist|biographer|biologist|biophysicist|bird\s+watcher|birth-control\s+campaigner|birth-control\s+reformer|black\s+belt|black\s+marketeer|blackleg|blackmailer|blacksmith|blaster|bleacher|bluejacket|bluffer|blunderer|blusterer|boatbuilder|boater|boatman|boatswain|body\s+servant|body\s+snatcher|bodybuilder|bodyguard|bombardier|bombshell|bondholder|book\s+agent|book\s+lover|book\s+seller|bookbinder|bookdealer|bookie|booking\s+clerk|bookkeeper|booklover|bookmaker|bookseller|bookworm|boot\s+maker|bootlegger|bootmaker|border\s+patrolman|boss|botanist|bourgeois|bowler|bowman|boxer|boy\s+wonder|brain\s+doctor|brain\s+truster|brainwasher|brainworker|brakeman|brass\s+hat|bread\s+maker|breadwinner|breaker|breeder|brewer|briber|bricklayer|bridesmaid|brigadier|brigadier\s+general|brigand|broadcaster|broker|broker-dealer|bronco\s+buster|brothel\s+keeper|buck\s+private|buckaroo|bug-hunter|bugler|bugologist|builder|bullfighter|bureaucrat|burglar|bus\s+driver|busboy|business\s+editor|business\s+leader|business\s+traveler|businessman|businessperson|businesswoman|busman|butcher|butler|butterfly\s+collector|cabby|cabdriver|cabin\s+boy|cabinetmaker|cabman|caddie|calculator|calender|caller-out|caller-up|calligrapher|calligraphist|camera\s+operator|cameraman|campaigner|candidate|candlemaker|candy\s+striper|candymaker|cannon\s+fodder|cannoneer|canoeist|canonist|cantor|capitalist|captain|captor|capturer|car-mechanic|car\s+maker|car\s+manufacturer|carabineer|carabinier|card\s+player|cardinal|cardiologist|careerist|caregiver|caretaker|carhop|caricaturist|carillonneur|caroler|caroller|carpenter|carrier|carter|cartographer|cartoonist|cartwright|carver|caseworker|cashier|caster|cat's-paw|catechesist|catechetical\s+instructor|caterer|cattle\s+thief|cattleman|cavalryman|celebrator|cellist|censor|census\s+taker|ceramicist|ceramist|certified\s+public\s+accountant|chairman|chairperson|chairwoman|chambermaid|champion|chandler|chaperon|chaperone|chapman|character\s+actor|character\s+printer|character\s+witness|charcoal\s+burner|charge\s+d'affaires|charge\s+of\s+quarters|chargeman|charioteer|charlatan|chartered\s+accountant|charwoman|chaser|chauffeur|cheap-jack|cheater|check\s+girl|checker|cheerer|chef|chemical\s+engineer|chemist|chess\s+player|chessman|chief|chief\s+assistant|chief\s+justice|chief\s+of\s+staff|chief\s+petty\s+officer|child\s+prodigy|chimneysweep|chimneysweeper|chiromancer|chiropodist|chiropractor|chiseler|chiseller|choirboy|choirmaster|choreographer|chorine|chorister|chorus\s+girl|chronicler|church\s+member|church\s+officer|churchgoer|churchman|churchwarden|cinematographer|city\s+editor|city\s+father|city\s+man|city\s+manager|civic\s+leader|civil\s+engineer|civil\s+rights\s+leader|civil\s+rights\s+worker|civil\s+servant|claim\s+agent|claims\s+adjuster|claims\s+adjustor|clarinetist|clarinettist|classical\s+scholar|classicist|classifier|cleaner|cleaning\s+lady|cleaning\s+woman|clergy|clerk|climber|clinical\s+psychologist|cloakmaker|clockmaker|clocksmith|clothes\s+designer|clothier|clown|co-star|coach|coachbuilder|coachman|coadjutor|coal\s+miner|coalman|coastguardsman|coconspirator|coder|cofounder|cognitive\s+scientist|cognoscenti|coiffeur|coiffeuse|coiner|collaborator|collector|collector\s+of\s+internal\s+revenue|college\s+boy|college\s+man|collegian|collier|colonel|colonizer|color\s+bearer|color\s+guard|color\s+sergeant|coloratura|coloratura\s+soprano|colorist|combat\s+pilot|combatant|comedian|comedienne|comic|commandant|commander|commander\s+in\s+chief|commanding\s+officer|commando|commentator|commercial\s+artist|commercial\s+traveler|commercial\s+traveller|commissar|commissioned\s+military\s+officer|commissioned\s+naval\s+officer|commissioned\s+officer|commissioner|committeeman|committeewoman|commodore|common\s+soldier|communicator|comparative\s+anatomist|compere|composer|compositor|comptroller|computational\s+linguist|computer\s+engineer|computer\s+expert|computer\s+guru|computer\s+programmer|computer\s+scientist|conceiver|concessionaire|concessioner|conciliator|conductor|conductress|confectioner|confederate|conformist|conjurer|conjuror|connoisseur|conqueror|conquistador|conscript|consigner|consignor|conspirator|construction\s+worker|constructivist|constructor|consul|consultant|contadino|contender|contestant|contractor|contralto|contrapuntist|contrarian|contributor|controller|convasser|convergent\s+thinker|cook|cooper|coordinator|copilot|coppersmith|copy\s+editor|copyist|copyreader|copywriter|coreligionist|corner\s+man|cornetist|cornhusker|coroner|corporal|cosmetician|cosmetologist|cosmographer|cosmographist|cosmologist|cost\s+accountant|costermonger|costume\s+designer|costumer|costumier|cotenant|counsel|counsellor|counselor|counselor-at-law|counterfeiter|counterman|counterspy|countertenor|county\s+agent|coureur\s+de\s+bois|courier|courtier|couturier|cover\s+girl|cow\s+man|cowboy|cowgirl|cowhand|cowherd|cowman|cowpoke|cowpuncher|coxswain|crack\s+shot|cracksman|crafter|craftsman|creative\s+thinker|creator|credit\s+analyst|creditor|crew\s+member|crewman|cricketer|criminal|criminologist|critic|crofter|crook|crooner|cropper|cross-examiner|cross-questioner|croupier|crown\s+prince|crusader|cryptanalyst|cryptograph|cryptographer|cryptologist|cubist|cuirassier|cultivator|cultural\s+attache|cupbearer|curator|currier|custodian|cutler|cyclist|dairy\s+farmer|dairymaid|dairyman|dancer|dancing\s+partner|danseur|danseur\s+noble|danseuse|daredevil|dart\s+player|dart\s+thrower|darter|data\s+processor|dauber|day\s+laborer|day\s+labourer|deacon|deaconess|dealer|debugger|deceiver|decipherer|deckhand|decoder|decorator|deep-sea\s+diver|deer\s+hunter|defeatist|defendant|defender|defense\s+attorney|defense\s+contractor|defense\s+lawyer|deliverer|delivery\s+boy|deliveryman|demander|demographer|demographist|demonstrator|dental\s+assistant|dental\s+hygienist|dental\s+technician|denturist|depositor|deputy|deputy\s+sheriff|dermatologist|descender|designated\s+driver|designer|desk\s+clerk|desk\s+officer|desperate\s+criminal|detective|detector|determinist|developer|diagnostician|dialectician|diarist|diary\s+keeper|diemaker|diesinker|dietician|dietitian|digger|dining-room\s+attendant|diplomat|diplomate|diplomatic\s+minister|diplomatist|director|director\s+of\s+research|discoverer|discussant|disentangler|dishwasher|disinfestation\s+officer|dispatcher|dispenser|dissembler|dissenter|distiller\s+|distortionist|distributer|distributor|ditch\s+digger|diva|diver|divergent\s+thinker|divider|divorce\s+lawyer|dock-walloper|dock\s+worker|docker|dockhand|doctor|dog\s+catcher|doge|dogfighter|dogsbody|domestic\s+help|doorkeeper|double-crosser|double-dealer|double\s+agent|doubter|draftee|drafter|draftsman|draftsperson|dragger|dragoon|drama\s+critic|dramatist|draper|draughtsman|drawer|dressmaker|dressmaker's\s+model|drill\s+instructor|drill\s+master|driver|drover|drug\s+dealer|drug\s+peddler|drug\s+trafficker|drug\s+user|drum\s+majorette|drummer|dry\s+cleaner|duck\s+hunter|dyer|ear\s+doctor|ear\s+specialist|earner|eavesdropper|ecdysiast|eclecticist|ecologist|econometrician|economic\s+expert|economics\s+professional|economist|edger|editor|educationalist|educationist|educator|efficiency\s+engineer|efficiency\s+expert|egalitarian|egghead|elected\s+official|electrical\s+engineer|electrician|electroplater|electrotherapist|elitist|emancipator|embalmer|embassador|embroiderer|embroideress|empiricist|employee|employer|encyclopedist|end\s+man|endocrinologist|endorser|enforcer|engine\s+driver|engineer|engraver|enlisted\s+man|enlisted\s+person|enlisted\s+woman|enologist|enterpriser|entertainer|entomologist|entrepreneur|enumerator|environmentalist|envoy|envoy\s+extraordinary|enzymologist|epidemiologist|epistemologist|equalitarian|equerry|escape\s+expert|escapist|escapologist|eschatologist|escort|espionage\s+agent|esquire|essayist|estate\s+agent|esthete|esthetician|estimator|etcher|ethician|ethicist|ethnographer|ethnologist|ethologist|etymologist|event\s+planner|ex-gambler|ex-serviceman|examiner|excavator|exciseman|excogitator|executant|executioner|executive|executive\s+director|executive\s+officer|executive\s+secretary|executor|exhibitioner|exhibitor|existentialist|exotic\s+dancer|experimenter|expert|expert\s+witness|exporter|expressionist|extension\s+agent|exterminator|extortioner|extortionist|extreme\s+right-winger|eye\s+doctor|facilitator|factory\s+worker|faculty\s+member|falconer|faller|false\s+witness|famulus|fantasist|fantast|farm\s+worker|farmer|farmerette|farmhand|farrier|fashion\s+consultant|fashion\s+designer|fashion\s+model|fashionmonger|fatalist|father|fauvist|federal\s+agent|federal\s+official|feller|fellow\s+traveler|fellow\s+traveller|fellow\s+worker|felon|fencer|fermentologist|ferryman|fiddler|field-grade\s+officer|field\s+marshal|field\s+officer|fieldhand|fieldworker|fighter|fighter\s+pilot|figurer|file\s+clerk|filing\s+clerk|fille\s+de\s+chambre|film\s+maker|film\s+producer|film\s+star|filmmaker|financial\s+analyst|financial\s+officer|financier|fingerprint\s+expert|fingerprint\s+man|fingerprint\s+specialist|finisher|fire-eater|fire-swallower|fire\s+fighter|fire\s+marshall|fire\s+walker|fire\s+warden|fire\s+watcher|firefighter|fireman|first\s+lieutenant|first\s+mate|first\s+sergeant|fisherman|fishmonger|fishwife|fitter|flag\s+captain|flag\s+officer|flanker|flautist|fleet\s+admiral|flier|flight\s+attendant|flight\s+engineer|floorwalker|florist|flower\s+girl|flute\s+player|flutist|folk\s+singer|folk\s+writer|follower|food\s+manufacturer|foot\s+doctor|foot\s+soldier|football\s+official|football\s+player|footballer|footman|footslogger|forecaster|foreign\s+agent|forelady|foreman|foreperson|forest\s+fire\s+fighter|forester|forewoman|forger|fortune\s+hunter|fortune\s+teller|fortuneteller|forty-niner|fossilist|founder|founding\s+father|foundress|fowler|framer|franc-tireur|free\s+trader|freebooter|freedom\s+fighter|fresh\s+fish|frogman|front\s+man|fruit\s+grower|fruiterer|fry\s+cook|fugitive|fugitive\s+from\s+justice|full\s+admiral|full\s+general|fumbler|functionary|funeral\s+director|funeral\s+undertaker|furniture\s+maker|furrier|fusilier|futurist|gaffer|gagman|gagster|gagwriter|gainer|gallant|galley\s+slave|galvanizer|gambler|gamekeeper|gandy\s+dancer|gangster|garbage\s+carter|garbage\s+collector|garbage\s+hauler|garbage\s+man|gardener|garment\s+cutter|garment\s+worker|garmentmaker|garmentworker|gas\s+fitter|gasman|gatecrasher|gatherer|gaucho|gauffer|gem\s+cutter|genealogist|general|general\s+agent|general\s+officer|generalissimo|generalist|generator|geneticist|genius|gentleman|geographer|geologist|geometrician|geophysicist|geriatrician|gerontologist|ghostwriter|gigolo|gladiator|glassblower|glasscutter|glassmaker|glassworker|glazer|glazier|gleaner|goalie|goalkeeper|goaltender|goatherder|gofer|gold\s+digger|gold\s+miner|gold\s+panner|goldbeater|goldbrick|goldsmith|goldworker|golf\s+caddie|golf\s+player|golfer|goliard|gondolier|gondoliere|government\s+agent|governor|grader|graduate|grain\s+merchant|grammarian|grandmaster|granger|graphic\s+artist|graphologist|gravedigger|grazier|grease\s+monkey|greengrocer|grenade\s+thrower|grenadier|grocer|grocery\s+boy|groomsman|groundskeeper|groundsman|group\s+captain|guarantor|guard|guard\s+of\s+honor|guardian|guardsman|guerilla|guerrilla|guitar\s+player|guitarist|gunman|gunner|gunnery\s+sergeant|gunrunner|gunsmith|guru|gymnast|gymnosophist|gynaecologist|gynecologist|haberdasher|hack\s+writer|hackdriver|hacker|haematologist|hairdresser|hairstylist|ham\s+actor|handmaid|handmaiden|handwriting\s+expert|handyman|hang\s+glider|hanger|harasser|hard\s+worker|hardwareman|harper|harpist|harpooneer|harpooner|harpsichordist|harvester|hatcheck\s+girl|hatchet\s+man|hatmaker|hatter|hauler|haulier|hawker|haymaker|head\s+teacher|head\s+waiter|headcounter|headhunter|headliner|headman|healer|health\s+care\s+provider|health\s+professional|hearer|hearing\s+examiner|hearing\s+officer|heart\s+specialist|heart\s+surgeon|heaver|hedger|helmsman|helper|henchman|herb\s+doctor|herbalist|herder|herdsman|herpetologist|hewer|high\s+commissioner|high\s+priest|highjacker|highway\s+engineer|highwayman|hijacker|hiker|hired\s+hand|hired\s+help|hired\s+man|hireling|histologist|historian|historiographer|histrion|hitchhiker|hoaxer|hockey\s+player|holdup\s+man|holidaymaker|homeboy|homebuilder|homeless\s+person|honor\s+guard|hooker|hooligan|horologer|horologist|horse\s+trader|horse\s+wrangler|horseback\s+rider|horseman|horseshoer|horticulturist|hosier|hospital\s+attendant|host|hostess|hostile\s+witness|hostler|hotel\s+clerk|hotel\s+desk\s+clerk|hotel\s+detective|hotel\s+manager|hotelier|hotelkeeper|hotshot|house\s+agent|house\s+decorator|house\s+detective|house\s+dick|house\s+painter|house\s+servant|housebreaker|housebuilder|housekeeper|housemaid|housemaster|housewrecker|huckster|humanist|humanitarian|hummer|humorist|humourist|hunter|hunting\s+guide|huntress|huntsman|husbandman|hussar|hypnopedist|hypnotiser|hypnotist|hypnotizer|hypocrite|ice-hockey\s+player|ice-skater|iceman|ichthyologist|idealist|ideologist|idoliser|idolizer|igniter|ignitor|illusionist|illustrator|immunologist|impersonator|importer|imposter|impostor|impressionist|inculcator|incumbent|indexer|industrialist|industry\s+analyst|infant\s+prodigy|infantryman|infiltrator|informant|informer|ingenue|innkeeper|innovator|inquiry\s+agent|inquisitor|inspector|inspector\s+general|instigator|instructor|instrument|instrumentalist|insurance\s+agent|insurance\s+broker|insurance\s+underwriter|intellectual|intelligence\s+agent|intelligence\s+analyst|intelligence\s+officer|interceptor|interior\s+decorator|interior\s+designer|interlocutor|intermediator|internal\s+revenue\s+agent|internist|interoceptor|interpreter|interrogator|interviewer|invalidator|inventor|investigator|investment\s+advisor|investment\s+banker|investor|ironist|ironmonger|ironworker|irridentist|jack\s+of\s+all\s+trades|janitor|jazz\s+musician|jazzman|jerry-builder|jester|jeweler|jeweller|jewelry\s+maker|job\s+candidate|jobber|jobholder|jogger|joiner|joker|jokester|jongleur|journalist|journeyer|journeyman|judge|judge\s+advocate|judge\s+advocate\s+general|juggler|jumper|jurist|juror|juryman|jurywoman|justice|justice\s+of\s+the\s+peace|justiciar|justiciary|kidnapper|killer|killer\s+bee|king|kitchen\s+help|knitter|koto\s+player|labor\s+coach|labor\s+leader|laborer|labourer|lacrosse\s+player|lame\s+duck|laminator|lamplighter|lampooner|lance\s+corporal|lancer|land-office\s+business|land\s+agent|landscape\s+architect|landscape\s+gardener|landscapist|language\s+teacher|lapidarist|lapidary|lapidist|larcener|larcenist|laundress|laundryman|laundrywoman|law\s+officer|law\s+practitioner|law\s+student|lawbreaker|lawgiver|lawmaker|lawman|lawyer|leader|leading\s+lady|leading\s+man|learned\s+person|lease\s+giver|leatherneck|lecturer|ledgeman|legal\s+assistant|legal\s+expert|legal\s+professional|legionary|legionnaire|legislator|lender|lens\s+maker|lepidopterist|lessor|letter\s+carrier|letter\s+writer|letterer|letterman|lexicographer|lexicologist|libertarian|librarian|licencee|licensee|licenser|licentiate|lieder\s+singer|lieutenant|lieutenant\s+JG|lieutenant\s+colonel|lieutenant\s+commander|lieutenant\s+general|lieutenant\s+governor|lieutenant\s+junior\s+grade|life\s+scientist|life\s+tenant|lifeguard|lifesaver|light\s+colonel|lighterman|lighthouse\s+keeper|limner|line\s+officer|line\s+worker|lineman|linendraper|linesman|linguist|linguistic\s+scientist|literary\s+critic|literary\s+pirate|lithographer|litterateur|liturgist|liveryman|loader|loan\s+shark|loaner|lobbyist|lobsterback|lobsterman|locater|locator|lockkeeper|lockmaster|locksmith|locomotive\s+engineer|logger|logician|logistician|longbowman|longshoreman|lookout\s+man|lumberjack|lumberman|lutanist|lutenist|luthier|lutist|lyricist|macebearer|macer|machine\s+gunner|machine\s+politician|machinist|madam|madrigalist|maestro|magician|magistrate|magnate|mahatma|mahout|maidservant|mail\s+carrier|mail\s+clerk|mailman|maintenance\s+man|major-general|maker|maltman|maltster|man-at-arms|man\s+of\s+affairs|man\s+of\s+letters|man\s+of\s+science|management\s+consultant|manager|managing\s+director|managing\s+editor|manakin|manicurist|manservant|manual\s+laborer|manufacturer|map\s+maker|mapper|marine\s+engineer|mariner|market\s+analyst|market\s+keeper|marketer|marksman|marriage\s+broker|marshal|marshall|mason|masquerader|massager|masseur|masseuse|master|master-at-arms|master\s+of\s+ceremonies|master\s+sergeant|mastermind|matchmaker|material\s+witness|materialist|mathematical\s+statistician|mathematician|matinee\s+idol|meat\s+packer|meatman|mechanic|mechanical\s+engineer|mechanist|medai\s+guru|media\s+consultant|mediator|medical\s+examiner|medical\s+expert|medical\s+practitioner|medical\s+professional|medical\s+scientist|medical\s+social\s+worker|medical\s+student|medieval\s+Schoolman|melter|mender|menial|mental\s+telepathist|mentor|mercenary|mercer|merchandiser|merchant|merchant-venturer|mesmerist|messenger|messenger\s+boy|metallurgical\s+engineer|metallurgist|metalworker|meteorologist|mezzo-soprano|microbiologist|microscopist|midinette|militant|military\s+attache|military\s+engineer|military\s+leader|military\s+man|military\s+officer|military\s+personnel|military\s+policeman|military\s+volunteer|militiaman|milkmaid|milkman|millenarian|millenarist|miller|milliner|millwright|mime|mind\s+reader|miner|mineralogist|mineworker|miniaturist|minimalist|mining\s+engineer|minister|minister\s+plenipotentiary|minor\s+leaguer|minstrel|minter|miracle\s+man|miracle\s+worker|mischief-maker|missionary|mixologist|mnemonist|mobster|model|modeler|modeller|moderator|modernist|modifier|modiste|molecular\s+biologist|monetarist|money\s+changer|money\s+dealer|money\s+handler|moneyer|moneygrubber|moneylender|moneymaker|moneyman|monger|monitrice|monologist|monopolizer|mopper|mortgage\s+holder|mortgagee|mortician|mountain\s+climber|mountaineer|mounter|mover|movie\s+maker|movie\s+star|muazzin|mud\s+digger|muezzin|mugger|mule\s+driver|mule\s+skinner|muleteer|murderer|muser|music\s+critic|music\s+director|musician|musicologist|musketeer|muslin|mutilator|muzzler|mycologist|mythologist|nailer|naprapath|narcotics\s+agent|narrator|national\s+leader|nationalist\s+leader|nativist|natural\s+scientist|naturalist|naturopath|nautch\s+girl|naval\s+commander|naval\s+engineer|naval\s+officer|navigator|navy\s+man|necessitarian|needlewoman|needleworker|negativist|negotiator|negotiatress|neologist|neurobiologist|neurolinguist|neurologist|neuroscientist|newsagent|newsboy|newsdealer|newspaper\s+editor|newspaper\s+publisher|newsstand\s+operator|newsvendor|nominator|noncombatant|noncommissioned\s+officer|notary|notary\s+public|noticer|novelist|nuclear\s+chemist|nuclear\s+physicist|nullifier|number\s+cruncher|number\s+theorist|nurse|nurse's\s+aide|nurseryman|nursing|nursing\s+aide|nutritionist|oarsman|oarswoman|oboist|observer|obstetrician|obstructor|oceanaut|oceanographer|oculist|odd-job\s+man|oenologist|oenophile|oenophilist|office-bearer|office\s+boy|officeholder|officer|official|oil-industry\s+analyst|oil\s+geologist|oil\s+painter|oil\s+tycoon|oiler|oilman|old-timer|old\s+boy|old\s+hand|old\s+master|old\s+salt|old\s+stager|ombudsman|opera\s+star|operatic\s+star|operative|operator|ophthalmologist|opposer|oppressor|optician|optimist|optometrist|orchestrator|orderer|orderly|orderly\s+sergeant|ordinary|organist|organization\s+man|organizer|orientalist|ornamentalist|ornithologist|orthopaedist|orthopedist|orthoptist|osteopath|osteopathist|ostler|otologist|out-and-outer|outfitter|outlaw|owner|packer|packman|paddler|padrone|paediatrician|painter|palaeontologist|paleontologist|palmist|palmister|pamphleteer|panelist|panellist|pantomimer|pantomimist|pantryman|paperboy|paperer|paperhanger|parachute\s+jumper|parachuter|parachutist|paralegal|paramedic|paramedical|paraprofessional|parapsychologist|paratrooper|parer|parliamentarian|parlormaid|parlourmaid|parodist|parolee|part-timer|partaker|participant|partisan|partizan|party\s+boss|passenger|past\s+master|paster|pastor|pastry\s+cook|patentee|pathfinder|pathologist|patrician|patrolman|patternmaker|pavement\s+artist|pawnbroker|peace\s+officer|peacekeeper|peacemaker|pearl\s+diver|pearler|peasant|pedagogist|pedant|peddler|pediatrician|pediatrist|pedlar|peeler|pencil\s+pusher|penologist|penpusher|pensionary|percussionist|perfecter|performer|performing\s+artist|perfumer|perpetrator|persecutor|persona\s+grata|persona\s+non\s+grata|petit\s+juror|petroleum\s+geologist|petty\s+juror|petty\s+officer|philanthropist|philologist|philologue|philosopher|philosophizer|phonetician|phonologist|photographer|photographer's\s+model|physical\s+therapist|physicist|physiologist|physiotherapist|phytologist|pianist|piano\s+maker|piano\s+player|piano\s+tuner|picker|pickpocket|pigman|pilot|pimp|pioneer|pipe\s+cutter|pipe\s+fitter|pipe\s+major|pipe\s+smoker|piper|pirate|pistoleer|pitchman|pitman|placeman|placeseeker|plagiarist|plagiarizer|plaintiff|plant\s+scientist|plantation\s+owner|planter|plasterer|platelayer|plater|playactor|player|playgoer|playmate|playwright|pleaser|pledge\s+taker|plenipotentiary|plotter|ploughman|ploughwright|plower|plowman|plowwright|plumber|plumber's\s+helper|plunderer|plunger|pluralist|plyer|podiatrist|poet|poet-singer|poetizer|point\s+man|pointilist|police\s+lieutenant|police\s+officer|police\s+sergeant|policeman|political\s+boss|political\s+commissar|political\s+dissident|political\s+leader|political\s+scientist|politician|poll\s+taker|polymath|ponderer|pool\s+player|population\s+scientist|pork\s+butcher|porn\s+merchant|pornographer|porter|portrait\s+painter|portraitist|portrayer|poser|postal\s+clerk|poster|postman|postmaster|postmaster\s+general|potboy|potholer|pothunter|potman|potter|poulterer|poultryman|powder\s+monkey|power-station\s+worker|power\s+worker|practical\s+joker|practice\s+law|practice\s+medicine|practiced\s+law|practiced\s+medicine|practices\s+law|practices\s+medicine|practician|practicing\s+law|practicing\s+medicine|practitioner|praetor|pragmatist|prankster|preacher|preacher\s+man|precentor|predestinationist|predictor|presbyter|presenter|preserver|presiding\s+officer|press\s+lord|press\s+photographer|pressman|prestidigitator|pretender|preterist|pretor|priest|prima\s+ballerina|prima\s+donna|principal|principal\s+investigator|print\s+seller|printer|printmaker|prison\s+guard|prisoner|private\s+detective|private\s+eye|private\s+investigator|privateer|privateersman|probability\s+theorist|probation\s+officer|problem\s+solver|processor|proconsul|proconsulate|proctologist|proctor|procurator|prodigy|producer|professional|professional\s+dancer|professional\s+golfer|professor|profit\s+taker|profiteer|prognosticator|programmer|projectionist|promoter|prompter|proofreader|propagator|property\s+man|property\s+master|prophet|prophetess|propman|proposer|proprietor|proprietress|prosecuting\s+attorney|prosecuting\s+officer|prosecutor|prospector|prosthetist|protozoologist|provider|provisioner|pruner|psalmist|psephologist|psychiatrist|psycholinguist|psychologist|psychophysicist|psychotherapist|public\s+defender|public\s+executioner|public\s+relations\s+man|public\s+servant|public\s+speaker|publican|publicist|publicity\s+man|publicizer|publisher|puddler|pundit|punster|punter|puppeteer|purist|purser|purveyor|pusher|quaestor|quarrier|quarryman|quartermaster|quartermaster\s+general|question\s+master|questioner|quizmaster|quizzer|rabbi|race\s+driver|racer|racker|racketeer|radio\s+announcer|radiochemist|radiographer|radiologic\s+technologist|radiologist|radiotherapist|rafter|raftman|raftsman|raider|rail-splitter|railroad\s+engineer|railroad\s+man|railroader|railway\s+man|railwayman|rainbow\s+runner|raiser|ranch\s+hand|rancher|ranger|ranker|rapist|rat-catcher|ratiocinator|raw\s+recruit|reading\s+teacher|real\s+estate\s+agent|real\s+estate\s+broker|realist|realtor|reaper|rear\s+admiral|reasoner|rebel|receptionist|recitalist|reckoner|reconciler|record-keeper|recorder|recorder\s+player|recruit|recruiter|recruiting-sergeant|rectifier|rector|redact|redactor|redcap|redcoat|referee|refiner|refinisher|reformer|reformist|refuse\s+collector|registered\s+representative|registrar|regulator|religionist|religious\s+leader|religious\s+person|renovator|rent\s+collector|renter|rentier|repairer|repairman|reporter|representative|rescuer|research\s+director|research\s+worker|researcher|reservist|restaurant\s+attendant|restauranter|restaurateur|restorer|retail\s+merchant|retailer|retainer|retiree|reviewer|reviser|rewrite\s+man|rewriter|rheumatologist|rhythm\s+and\s+blues\s+musician|rider|ridiculer|rifleman|rigger|right-hand\s+man|ringleader|ringmaster|rioter|ritualist|riveter|rivetter|road\s+builder|road\s+mender|road\s+runner|roadman|roaster|robber|rock\s+'n'\s+roll\s+musician|rock\s+star|rocker|rocket\s+engineer|rocket\s+scientist|rodeo\s+rider|role\s+player|roller-skater|romantic|romanticist|roofer|room\s+clerk|room\s+decorator|rope-maker|ropemaker|roper|roundsman|rouser|roustabout|router|rower|rug\s+merchant|ruminator|saboteur|sacrificer|sacristan|saddler|safebreaker|safecracker|sailing\s+master|sailmaker|sailor|sailor\s+boy|sales\s+demonstrator|salesclerk|salesgirl|saleslady|salesman|salesperson|saleswoman|saloon\s+keeper|salt\s+merchant|salter|salutatorian|salutatory\s+speaker|sampler|samurai|sandwichman|sapper|sartor|satirist|savant|savior|saviour|sawyer|saxophonist|scanner|scenarist|scene-stealer|scene\s+painter|sceneshifter|scenic\s+artist|sceptic|schlockmeister|scholar|scholarly\s+person|scholastic|school\s+principal|schoolman|schoolmaster|scientist|scorekeeper|scorer|scourer|scout|scoutmaster|scratcher|scribe|scriptwriter|scrivener|scrubber|scuba\s+diver|sculler|scullion|sculptor|sculptress|sculpturer|sea\s+captain|sea\s+dog|sea\s+lawyer|seafarer|sealer|seaman|seamster|seamstress|searcher|seasoner|second-in-command|second\s+lieutenant|secretarial\s+assistant|secretary|section\s+hand|secularist|securities\s+analyst|security\s+consultant|security\s+director|seedman|seedsman|seer|seismologist|selectman|selectwoman|self-employed\s+person|seller|selling\s+agent|semanticist|seminarian|seminarist|semiotician|semiprofessional|sempstress|senator|seneschal|senior\s+pilot|sensation|sergeant|sergeant\s+at\s+arms|sergeant\s+first\s+class|sericulturist|serjeant-at-arms|sermonizer|serologist|servant|servant\s+girl|server|service\s+man|serviceman|serving\s+girl|servitor|setter|settler|sewer|sewing-machine\s+operator|sexton|shamus|shaper|sharecrop\s+farmer|sharecropper|shareholder|shareowner|sharpshooter|shearer|sheepherder|sheepman|sheik|sheller|shelver|shepherd|shepherdess|sheriff|sherlock|shifter|shingler|ship's\s+chandler|ship's\s+officer|ship-breaker|ship\s+broker|ship\s+builder|ship\s+chandler|shipboard\s+soldier|shipbuilder|shipper|shipping\s+clerk|shipwright|shirtmaker|shlockmeister|shoemaker|shooter|shop\s+assistant|shop\s+boy|shop\s+clerk|shop\s+girl|shop\s+mechanic|shopkeeper|shoplifter|shopwalker|shorthand\s+typist|shoveler|shoveller|showgirl|showman|shylock|sibyl|sidekick|sidesman|sign\s+painter|signalman|silversmith|silverworker|singer|sitar\s+player|sitter|skateboarder|skater|skeptic|sketcher|skidder|skilled\s+worker|skinner|skipper|skydiver|slaughterer|slave|slavey|sleep-learner|slinger|slopseller|small\s+businessman|small\s+farmer|smallholder|smuggler|snake\s+charmer|snarer|sniper|soccer\s+player|social\s+anthropologist|social\s+climber|social\s+dancer|social\s+scientist|social\s+secretary|social\s+worker|socialist|sociobiologist|sociolinguist|sociologist|soda\s+jerk|soda\s+jerker|sodbuster|software\s+engineer|solderer|soldier|soldier\s+of\s+fortune|soloist|solver|somnambulist|somniloquist|songster|songstress|songwriter|soothsayer|sophist|soprano|sorter|soundman|source|sower|space\s+writer|speaker|spear\s+carrier|specialist|specializer|specifier|speculator|speech\s+therapist|speechmaker|speechwriter|spelaeologist|speleologist|spelunker|spinner|spinster|spiritual\s+leader|spokesperson|sponger|sponsor|spoonfeeder|sports\s+announcer|sports\s+commentator|sports\s+editor|sportscaster|sportsman|sportswoman|squire|stableboy|stableman|stacker|staff\s+member|staff\s+officer|staff\s+sergeant|staffer|stage\s+manager|stage\s+technician|stagehand|stager|stainer|stalker|stamp\s+dealer|stamper|standard-bearer|standby|standup\s+comedian|star|stargazer|starlet|statesman|stationer|stationery\s+seller|stationmaster|statistician|statue\s+maker|stealer|steamfitter|steelmaker|steelman|steelworker|steeplejack|steerer|steersman|stenographer|stepper|stevedore|steward|stewardess|stickup\s+man|stipendiary|stipendiary\s+magistrate|stippler|stitcher|stock\s+breeder|stock\s+farmer|stock\s+raiser|stock\s+trader|stockbroker|stockholder\s+of\s+record|stockist|stockjobber|stockman|stoker|stone\s+breaker|stonecutter|stonemason|store\s+detective|storekeeper|storyteller|straight\s+man|strangler|street\s+cleaner|street\s+fighter|street\s+sweeper|stretcher-bearer|strike\s+leader|strikebreaker|striker|stringer|strip\s+miner|stripper|striptease|striptease\s+artist|stripteaser|stroke|stroller|student|stunt|stunt\s+flier|stunt\s+man|stunt\s+pilot|stunt\s+woman|stylist|subaltern|subcontractor|subeditor|subjectivist|sublieutenant|submariner|subtracter|subvocaliser|suggester|supercargo|superintendent|supermarketer|supermodel|supernumerary|supervisor|supplier|supply\s+officer|supporter|supreme\s+authority|surfboarder|surfer|surrealist|surveyor|sutler|swimmer|swindler|swineherd|swinger|swordsman|syllogiser|syllogist|syllogizer|symbolist|syncopator|syndic|syndicator|synonymist|syntactician|synthesist|synthesizer|systematist|systematizer|systemizer|systems\s+analyst|tacker|tactician|tailgater|tailor|talent\s+agent|talent\s+scout|talker|tally\s+clerk|tallyman|tank\s+driver|tanner|tap\s+dancer|tapper|tapster|taster|tastetester|tavern\s+keeper|tax\s+assessor|tax\s+collector|taxi\s+dancer|taxidermist|taxman|taxonomer|taxonomist|teacher|teamster|teaser|techie|technical\s+sergeant|technician|technocrat|technologist|telegraphy|teleologist|telepathist|telephoner|television\s+announcer|television\s+star|teller|temporary\s+worker|tenant\s+farmer|tender|tennis\s+player|tenor|tentmaker|test\s+pilot|testifier|text\s+editor|thatcher|theater\s+critic|theater\s+director|theater\s+prompter|theatre\s+director|theatrical\s+producer|theologian|theologiser|theologist|theologizer|theoretician|theoriser|theorist|theorizer|therapist|thief|thinker|thought-reader|thread\s+maker|thrower|throwster|thrush|thurifer|ticket\s+agent|ticket\s+holder|tiler|tiller|timberman|timekeeper|timpanist|tinker|tinner|tinsmith|tinter|tipster|toast\s+mistress|toastmaster|tobacconist|toiler|toll\s+agent|toll\s+collector|tollgatherer|tollkeeper|tollman|tolltaker|toolmaker|top\s+banana|top\s+executive|torch\s+singer|tormenter|torturer|touch-typist|town\s+clerk|town\s+crier|townsman|toxicologist|track\s+star|tracker|tracklayer|trade\s+unionist|trader|tradesman|traditionalist|trafficker|tragedian|tragedienne|trail\s+boss|trail\s+head|train\s+dispatcher|trainbearer|trained\s+worker|trainer|trainman|trainmaster|traitor|traitress|transactor|transcendentalist|transcriber|translator|transmitter|transplanter|trapper|trapshooter|travel\s+agent|traveler|traveling\s+salesman|travelling\s+salesman|trawler|treasurer|tree\s+farmer|tree\s+surgeon|trencher|trespasser|trial\s+attorney|trial\s+judge|trial\s+lawyer|tribal\s+chief|tribologist|trier|trigonometrician|trimmer|troller|trombone\s+player|trombonist|trooper|troubadour|trouble\s+maker|trouble\s+shooter|troublemaker|troubleshooter|trouper|truck\s+driver|trucker|trumpeter|trustbuster|trustee|truster|tucker|tugger|turncock|turner|turtler|tutor|tv\s+announcer|twirler|tympanist|typesetter|typist|typographer|underseller|understudy|undertaker|underwater\s+diver|underwriter|unicyclist|unilateralist|union\s+member|unionist|unpaid\s+worker|upholsterer|upstager|uranologist|urologist|usher|usherette|usurer|utilitarian|utility\s+man|valedictorian|valedictory\s+speaker|valet|valuator|valuer|vanquisher|vaquero|varlet|varnisher|vaudevillian|vender|vendor|ventriloquist|venture\s+capitalist|venturer|verger|vestryman|vestrywoman|vet|veteran|veteran\s+soldier|vicar|vicar-general|vice-regent|vice\s+admiral|vice\s+chancellor|victualer|victualler|vigilance\s+man|vigilante|vintager|vintner|violin\s+maker|violinist|virologist|virtuoso|visionary|vivisectionist|vizier|vocaliser|vocalist|vocalizer|volleyball\s+player|voluntary|volunteer|vote\s+counter|vulcaniser|vulcanizer|wage\s+earner|waggoner|waggonwright|wagoner|wagonwright|wainwright|waiter|waiter's\s+assistant|waitress|wallpaperer|war\s+criminal|warden|warehouseman|warehouser|warhorse|warrant\s+officer|warrior|washerman|washerwoman|washwoman|watchmaker|water\s+boy|water\s+dog|water\s+rat|watercolorist|watercolourist|waterman|wax-chandler|weather\s+forecaster|weatherman|weaver|weeder|weigher|weightlifter|welder|welfare\s+worker|wetter|whaler|wheeler|wheelwright|whiteface|wholesaler|wigmaker|wildcatter|window\s+cleaner|window\s+dresser|window\s+trimmer|window\s+washer|wine\s+lover|wine\s+maker|wine\s+merchant|wine\s+steward|wine\s+taster|wine\s+waiter|winemaker|wing\s+commander|wingman|wireman|wirer|wise\s+man|witness|woman's\s+doctor|womaniser|women's\s+liberationist|women's\s+rightist|wonder\s+child|wonderer|woodcarver|woodcutter|woodman|woodsman|woodworker|wordsmith|worker|working\s+girl|working\s+man|working\s+person|workman|workmate|wrangler|wrecker|wrestler|wright|writer|xylophonist|yachtsman|yachtswoman|yardman|yardmaster|yeller|yodeller|yogi|yuppie|zoo\s+keeper|zoologist)}oi;
#>

1;
